


BoutrosLab.plotting.general 7.1.2 2024-09-06

UPDATE
* Improved "sample.order" argument checking
* Cleaned the C++ namespace by using `R_` versions of Free, Calloc, and Realloc

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.1.1 2024-01-08

UPDATE
* Improved documentation for type parameter in create.scatterplot
* Fix typo in README

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.1.0 2023-10-26

ADDED
* Add testthat framework for package tests
* Use mockr for unit testing
* Improve documentation for automatic axis scaling in:
  - create.scatterplot
  - create.boxplot
  - create.manhattanplot
  - create.hexbinplot

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.10 2023-10-09

UPDATE
* Add deprecation warning for test file in preparation for using
  testthat in the v8.0.0 release

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.9 2023-07-21

UPDATE
* Run R CMD check GitHub action weekly and with manual dispatch
* Updated GitHub links to use new "package" prefix

REMOVED
* Remove unnecessary package manual file

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.8 2023-05-26

UPDATE
* Change name of print.to.file() to export.to.file() to avoid naming conflict
  with S3 method print()

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.7 2023-05-25

UPDATE
* Expose panel.text arguments for text.above.bar options in create.barplot
* Remove duplicated code in print.multipanel
* Update format of CRAN links

BUG
* Add default label locations for continuous legends
* Fix error with expressions in main for multipanelplots

REMOVED
* Remove outdated plotting data storage code

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.6 2023-02-15

UPDATE
* Move CICD workflow from Dockerhub to GitHub packages
* Add github PR template

UPDATE
* Add text support for create.histogram

UPDATE
* Remove axis labels with axis.lab = NULL in create.boxplot for consistent behavior with other plot types

BUG
* Fix ylab.axis.padding parameter in create.histogram
* Fix error when using expressions in multipanelplot labels and main

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.5 2023-01-03

UPDATE
* Fix typo in man/create.violinplot.Rd
* Add alpha parameter to create.boxplot
* Added GitHub repo to package description
* Correctly sort horizontal barplot
* Remove Makefile
* Replaced string class comparison with is()

BUG
* Fix NEWS format
* Fix bug with persisted plotting function output in examples

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.4 2022-08-17

UPDATE
* Fix border specification in create.polygonplot

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.3 2022-03-15

UPDATE
* Update .Rbuildignore to match lab R standards

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.2 2022-03-07

BUG
* Add type comparisons for class name comparisons

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.1 2022-03-03

BUG
* Fix object protection issue in distance.c

--------------------------------------------------------------------------
BoutrosLab.plotting.general 7.0.0 2022-02-15

UPDATE
* Renamed ks.test.critical.value() function to critical.value.ks.test()
  to resolve naming conflict with S3 generic ks.test() from base R stats
  package.

BUG
* Fix issue when specifying multiple line-widths in create.polygonplot()

--------------------------------------------------------------------------
BoutrosLab.plotting.general 6.1.0 2021-10-26

UPDATE
* Add option to use dots in a legend instead of default rectangles
* Enable create.boxplot to print different text label on each panel

BUG
* Fixed inconsistent grouping of point colours in create.boxplot
* Account for case where only one colour is passed to create.heatmap

--------------------------------------------------------------------------
BoutrosLab.plotting.general 6.0.3 2021-01-24

UPDATE
* Only use cairo in the examples for covariates.grob and legend.grob
  if capabilities('cairo') is true.

--------------------------------------------------------------------------
BoutrosLab.plotting.general 6.0.2 2021-01-04

UPDATE
* Depends versions: R (>= 3.5.0), lattice (>= 0.20-35),
  latticeExtra (>= 0.6-27), cluster (>= 2.0.0), hexbin (>= 1.27.0)
* Only use cairo when capabilities('cairo') is true to fix CRAN's issue
  of cairo not being available on M1 Macs

--------------------------------------------------------------------------
BoutrosLab.plotting.general 6.0.1 2020-08-05

UPDATE
* Added paper's doi to DESCRIPTION

REMOVED
* Removed use of tocstyle package in PlottingGuide as that is obsolete
  and failing CRAN's check

--------------------------------------------------------------------------
BoutrosLab.plotting.general 6.0.0 2020-04-01

UPDATE
* Updated contact email
* Included source code previously imported from BoutrosLab.dist.overload
  and BoutrosLab.statistics.general
* Fixed resolutions for examples to reduce running time
* Added \donttest{} to examples that took >5 seconds to run
* Examples now output plots to tempdir()

BUG
* Fixed errors in create.multiplot and create.multipanel that wasn't
  passing CRAN's check by changing 'is.na' to 'anyNA'
* Fixed errors in create.multiplot that was only checking the first
  element in a list by using 'is.element' instead of '=='
* Fixed spacing issue in PlottingGuide
* Added stringsAsFactors = TRUE to data.frame() calls in examples
  (Changes to R-devel in 2020-03-04 changed the defaults)
* Fixed thousands.splits to return a vector instead of a list
* Fixed write.metadata to use double quotes on system calls, correctly
  show BL.plotting.survival version and consolidate exiftool calls
  to speed things up
* Fixed CRAN error misuse of package= for PACKAGE=

REMOVED
* Removed BoutrosLab.utilities::recode.vector calls in examples
* Removed requirements for BoutrosLab.utilities, BoutrosLab.dist.overload,
  BoutrosLab.statistics.general

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.9.8 2018-10-16

FEATURE
* create.hexbinplot: added option to modify the default legend title

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.9.7 2018-09-19

BUG
* fixed an issue regarding warning detection for class of conditioning variable that didn't recognize character input (barplot, boxplot, hexbinplot, scatterplot)

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.9.6 2018-07-24

BUG
* fixed an issue that prevented extra points from plotting correctly in create.polygonplot

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.9.5 2018-06-05

FEATURE
* added warnings when a formula contains a conditioning variable that is an integer/numeric (barplot, boxplot, hexbinplot, scatterplot)
* changed default xaxis.tck for boxplot to prevent automatic ticks from appearing at top of plot

BUG
* force.colour.scheme no longer requires 'x' when return.scheme = TRUE
* fixed an error in create.scatterplot preventing automatic axis determination when all y == 0 or all y == -N

REMOVED
* removed append.footnote.R as it was non-functional with no plans to fix

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.9.4 2018-04-18

FEATURE
* dotmap can now do symmetrical removing of top left half of dotmap

BUG
* top covariates in heatmap now have proper defaults

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.9.3 2018-04-18

FEATURE
* updated dependencies to not include as many
* boxplot now saves all its data (for later use)
* multipanelplot now saves temp plots to temp dir

BUG
* Default.colours no longer references wrong grey scale colour

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.9.2 2018-04-10

FEATURE
* Legend grob for continous legends now auto place themselves -- x and y pos dont do anything anymore
* Print to file will now override previous entries
* removed printing for individual plot info (too unreliable)

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.9.1 2018-04-04

FEATURE
* Multipanel plot now uses tob axis labels too for lining up plots

BUG
* Multipanel plot now correctly positions plot main labels

--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.9.0 2018-03-23

FEATURE
* added code for saving data information and trellis object information to each relevant plot

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.16 2018-03-16

FEATURE
* cleaned up the multipanelplot code and updated the examples

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.15 2018-03-13

FEATURE
* made multipanelplot legend/label placement algorithm more optimal

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.14 2018-03-09

FEATURE
* now stores data on the mount

BUG
* text now passed to panel in seperate list, stopping it from being reset in between plots

--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.8.13 2018-02-13

FEATURE
* adjusted polygon plot to work well with roc plot

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.12 2018-02-08

FEATURE
* added lollipop plot as an extension of scatterplot

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.11 2018-02-05

FEATURE
* added ability to disable factor sorting in relative plots
* added example to histogram of type change


BoutrosLab.plotting.general 5.8.10 2018-01-22

FEATURE
* added border colour for histogram bars

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.9 2018-01-12

FEATURE
* added inside legend auto finder code

BUG
* boxplot addstriplot colour was having issue with multiple boxplots, now works properly

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.8 2017-12-19

UPDATE
* updated formatting to match coding standard
* added inside legends to multipanel plot

BUG
* heatmap now accepts both x and y axis covariates

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.7 2017-11-15

UPDATE
* updated formatting to match coding standard


--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.6 2017-11-15

FEATURE
* legend and covariate grobs can now use x and y coordinates

BUG
* heatmap using colours must faster
* legacy settings in multipanel plot now affect all individual plots too


--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.8.5 2017-11-01

FEATURE
* force colour scheme now has heteroplasmy fraction and MT annotation


--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.8.4 2017-10-25

BUG FIX
* Multipanel plot now accepts colorkey and draw key legends
* Get defaults now retrieves ArialMT instead of Arial font (actual name on Linux)

FEATURE
* heatmap can now use colours to specify the squares
* density plot can now add text (like bar/boxplot)


--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.8.3 2017-08-11

BUG FIX
* Multipanel plot now works with legends from original plots
* Barplot error bars now work with horizontal plots too

FEATURE
* heatmap now accepts inside legends and can specify text not based on grid cooridnates


--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.8.2 2017-08-11

BUG FIX
* Completely reworked how spacing works in multipanel plot -- now creates rectangular grobs instead of using top/left/right/bottom padding


--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.8.1 2017-08-11

BUG FIX
* Multipanel plot background colour
* Multipanel plot not accepting expression labels
* Multipanel deleting plots main labels
* heatmap legend layout works properly now


--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.8.0 2017-08-11

ADDITIONS
* new create.multiplot function (create.multipanelplot)

BUG FIX
* auto-axis now gives 5 labels by default instead of 4
* same.as.matrix can now be applied to create dendrogram outside of heatmap
* fixed filename error in crete.gif
* heatmap now loads defaults
* segplot defaults to bold like rest of plots
* colours for default dotmap now match the documentation (had to reverse them)

FEATURE UPDATE
*pcawg.colours: new and renamed tumour type names added to palette, sv class 'insertion' assigned colour


--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.7.6 2017-08-11

BUG FIX
* 1D heatmaps now work -- automatically
* Error bars now work properly with grouped bar plots

FEATURES
* automatic layout justification for legends (using just arg) for continous legends
* added helper function for seperating thousands by commas, i.e -> (12345) -> (12,345)
* merged all the relevent colour functions into force.colour.scheme
* can now extract dendrograms from a heatmap (only one, and may require manual manipulation)



--------------------------------------------------------------------------

BUG FIX
* create.heatmap - grid row/column limits reversed
* legend.grob - continuous legends produce warnings
* ytop.rectangle in create.scatterplot() doesn't work properly.
* Remove the old option (retrieve.plot.labels) and merge into (plot.labels.to.retrieve)

FEATURES
* merged multiple colour functions (old ones to be removed in next commit)
* multiple colours of error bars in scatterplot
* Add xaxis.rot.top option to create.multiplot
* have legends on both the left AND the right for create.heatmap


--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.7.4 2017-07-19

BUG FIX
* Automatic labels not working for stacked barplots
* removed log scaling from stacked barplots
* fixed 1 D heatmap issues

ADDITIONS
* search metadata function

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.7.3 2017-06-06

FEATURE UPDATE
* each plot can put xat/yat = "auto"/"auto.linear"/"auto.log" to get automatic labels

ADDITIONS
* pretty axis function -- input data set gives updated data values and labels

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.7.2 2017-05-17

FEATURE UPDATE
* Can now add border to correlation keys
* Issues around multiplot reseting labels on y axis when x asis labels added solved

ADDITIONS
* create.gif for creating animated plots

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.7.1 2017-05-17

BUG FIX
* write.plot.R: fixed an error that didn't allow adding additional plots when returning object to screen (when filename = NULL)
* create.barplot.R: fixed a bug interfering with add.rectangle and removed redundant add.background.shading (repeats add.rectangle functionality)
* force.colour.scheme: if multiple outputs were requested only one would be returned; now returns a list

FEATURE UPDATE
* create.barplot.R: minor improvements to some examples
	*split argument lwd into axes.lwd and border.lwd to be consistent with other functions
	*removed argument remove.all.border.lines as this can now be accomplished with axes.lwd

MINOR (FORMATTING) CHANGES
* colour.gradient.R, covariates.grob.R, create.barplot.R, create.boxplot.R, create.colourkey.R, create.dendrogram.R, create.densityplot.R,
	create.hexbinplot.R, create.segplot.R, create.stripplot.R, create.violinplot.R, default.colours.R, display.colours.R,
	display.statistical.result.R, force.colour.scheme.R, generate.at.final.R, get.corr.key.R, get.defaults.R, get.line.breaks.R, legend.grob.R,
	scientific.notation.R, show.available.palettes.R, write.metadata.R, write.plot.R:
	applied code formatting (BL standards)

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.7.0 2017-05-11

BUG FIX
* create.violinplot: fixed a bug in colour functionality; now repeats colours when fewer colours are supplied than there are groups

FEATURE UPDATE
* create.hexbinplot: changed argument abline.type to abline.lty to be consistent with other functions
* create.segplot: added warning for specific use case (multiplot fails when a vertical segplot is the first plot)
* create.manhattanplot: changed argument axis.lwd to axes.lwd to be consistent with other functions

MINOR (FORMATTING) CHANGES
* create.hexbinplot, create.histogram, create.manhattanplot, create.polygonplot, create.qqplot.comparison, create.qqplot.fit,
	create.scatterplot, create.stripplot, create.segplot, create.violinplot, age.categorical.colour, append.footnote:
	applied code formatting (BL standards)

--------------------------------------------------------------------------
BoutrosLab.plotting.general 5.6.24 2017-04-20

FEATURE UPDATE
*create.multiplot: Added functionality to add top x-axis tick labels. Has not been extensively tested.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.23 2017-02-09

BUG FIX
*pcawg.colours: fixed bug that prevented project code colours from being returned.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.22 2017-02-09

FEATURE UPDATE
*create.dotmap: addition of parameters for rectangle border thickness, rectangle border colour.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.21 2017-01-30

BUG FIX
* create.scatterplot: adding conditional for when pch is not referring
  to a point (this is in reference to KM plots)

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.20 2017-01-28

FEATURE UPDATE
* create.scatterplot: addition of parameter "col.border".
  This allows customizable border colours when pch >= 21.

--------------------------------------------------------------------------


BoutrosLab.plotting.general 5.6.19 2016-12-06

FEATURE UPDATE
* pcawg.colours: add project.code to colour.schemes

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.18 2016-11-23

FEATURE UPDATE
* create.polygonplot: option to add rectangles.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.17 2016-11-08

FEATURE UPDATE
* pcawg.colours: consistent colour palette for use on pcawg data

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.15 2016-10-24

FEATURE UPDATE
* create.heatmap: rotation of the top x axis labels is now independent from the bottom x axsis labels.
* create.multiplot: options to set the distance between tick marks and tick labels

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.14 2016-10-05

FEATURE UPDATE
* create.polygonplot: option to add text.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.13 2016-09-28

FEATURE UPDATE
* create.polygonplot: added parameters alpha and median.lwd.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.12 2016-09-07

FEATURE UPDATE
* create.densityplot & create.violinplot: allow adjustment of bandwidth with parameters bandwidth and bandwidth.adjust.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.11 2016-08-31

FEATURE UPDATE
* create.stripplot: allow different border colour for added points when pch >= 21

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.10 2016-07-27

BUG FIX
* reintegrated untagged changes to trunk and re-added scatterplot feature updates.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.9 2016-07-25

FEATURE UPDATE
* create.scatterplot: allow different border colour for added points when pch >= 21

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.8 2016-05-27

FEATURE UPDATE
* create.dotmap:
	Added parameters 'columns' and 'rows' for spot.colour.function to allow dots colours to be grouped by columns or rows, respectively [BPG-16].
	There are 12 distinct colours (the default colours) and the colours start to repeat when there are more than 12 columns/rows.
	It also checks that the columns/rows (depending on which side is selected) are unique and throws and error if they are not.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.7 2016-05-19

BUG FIX
* create.multiplot: fixed bug where NULL values in parameter list (for xlimits=/ylimits=) were being ignored/unprocessed [BPG-2].

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.6 2016-04-29

FEATURE UPDATE
* create.barplot:
	Added parameters 'add.text', 'text.x', 'text.y', 'text.labels', 'text.col', 'text.cex', 'text.fontface' to allow users to add text labels to plot area.
	Added parameter 'box.ratio' for adjusting thickness of each bar.
	Added parameter 'remove.all.border.lines' to allow barplots with no borders.
	Added example for adding text to plot and adjusting box.ratio.

BUG FIX
* create.barplot: fixed adding error bars for data-frames [BPG-4]

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.5 2016-04-27

MINOR UPDATE
* create.boxplot: Added example for adding text to plot.
* create.hexbinplot: Added example of stratified multiplot.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.4 2016-04-21

FEATURE UPDATE
* create.dotmap: NA plotting character can be made different colours with new variable, NA.spot.size.colour.
	Default is set to black.

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.6.2 2016-04-08

FEATURE UPDATE
* get.cor.key: parameterizing number of decimal places to keep for spearman, pearson and kendall correlation values

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.4.3 2016-01-04

BUG FIXES:
* Inconsitency in dotmap/heatmap grid lines location fixed -> everything follows heatmaps spec now
  fixed bug where sample.order would reorde barplots incorrectly when horizontal
* default font sizes are consistent now
* default font sizes are more proportional

FEATURE UPDATES:
* ability to add multiple violin fill colours
* able to completely remove borders from heatmaps
* add p values automatically to box plots
* ability to set a sperate set of defaults based on type of publication ( default sets still need to be added)
* ability to pick what plots to retrieve plot labels from in create.multiplot

--------------------------------------------------------------------------

BoutrosLab.plotting.general 5.4.2 2015-12-22

FEATURE UPDATE:
* create.scatterplot: added option to specify colour of grid lines.

-------------------------------------------------------------------------

BoutrosLab.plotting.general 5.3.9 2015-10-01

FEATURE UPDATE:
* create.heatmap: turns off grid lines when row or column number exceeds a certain threshold.
* auto-removal of grid lines can be overrided with forcing parameters

---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.3.7

BUG FIXES:
* same.as.matrix will now correcting readjust label specifications
* when combining scatterplots, they will no longer only use error bars from one scatter plot
* yaxis.covariates parameter can now allow specific location specification so it does not overlap the heatmap
* xgrid.at and ygrid.at now properly update for all functions
* background rectangles are now drawn in the background instead of foreground
* when combining scatterplots, they will no longer only use the text specified from one scatter plot
* removed circular definitions from Rd files
* standardized parameter defaults

FEATURE UPDATES:
* Can now add subtitles through use of xaxis.top parameters
* Can now input a vector of files to be output to
* Can now sort boxes in create.boxplot by max, min, mean and median (defaults to median if not set)
* Can now draw both bands and lines on segplots
* Polygon plot will now auto-calculate x and y limits if not specified
* Can now vertically align labels and adjust there coordinates manually

BoutrosLab.plotting.general 5.3.4 2015-07-31

MINOR UPDATE:
* create.scatterplot: updated ROC example to use auto-label placement

---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.3.3 2015-07-28

MINOR UPDATE:
* functions containing the word 'colour' now accept both American and Canadian spelling
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.3.2 2015-07-24

BUG FIXES:
* create.heatmap: fixed bug which made labels disappear when stratifying dendrogram
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.3.1 2015-07-24

MINOR UPDATE:
* minor updates to the plotting guide
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.3.0 2015-07-23

MINOR UPDATE:
* standardized parameter names across all plotting functions
* create.hexbinplot: added add.xyline and add.curves functionality (same as in create.scatterplot)
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.20 2015-07-13

MINOR UPDATE:
* create.barplot, create.boxplot, create.hexbinplot, create.manhattanplot, create.polygonplot, create.scatterplot, create.segplot, create.stripplot, create.violinplot: Set xlab.label and ylab.label to default to formula components
* default.colours: greyscale check no longer runs if only one colour is requested
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.19 2015-07-03

MINOR UPDATE:
* force.colour.scheme: added snv colour scheme
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.18 2015-07-03

MINOR UPDATE:
* Standardized all plotting functions to have resolution set to 1600 dpi
* force.colour.scheme: Added spaces in appropriate tissue names
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.17 2015-06-16

MINOR UPDATE:
* removed out-of-date comments from examples
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.16 2015-06-15

MINOR UPDATE:
* re-created PlottingGuide to use revamped show.available.palettes function
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.13 2015-05-08

MINOR UPDATE
* create.multiplot: added example showing how to save parameter options from individual plots
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.12 2015-05-07

MINOR UPDATE
* create.heatmap: Added two parameters: text.position and text.offset to customize placement of text in cells
* show.available.palettes: changed display of specific schemes to call create.heatmap (more robust method)
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.10 2015-04-22

BUG FIXES
* show.available.palettes: fixed 'general' program to no longer introduces NAs by coersion
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.9 2015-04-21

MINOR UPDATE
* create.hexbinplot: added comment to explain maxcnt removing datapoints from example plot
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.8 2015-03-12

MINOR UPDATE
* create.barplot: allow vector of custom sorting order for samples
* create.multiplot: has flag to remove all border lines from plots
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.6 2014-12-24

MINOR UPDATE
* write.plot: fixed bug
* added new colourkey legend and interface
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.5 2014-12-18

MINOR UPDATE
* updated plotting guide to have more examples and slight wording adjustments
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.4 2014-12-16

MINOR UPDATE
* create.barplot: ablines now appear in the background of the plot instead of the foreground
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.2 2014-12-09

MINOR UPDATE
* write.plot: Added embed.plot functionality (depreciating said function)
* embed.plot: Removed embed.plot()
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.1 2014-11-05

MINOR UPDATE
* force.colour.scheme: Bug fix for annovar colour schemes
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.2.0 2014-10-17

MINOR UPDATE
* Added `Nature' style option to all plotting functions
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.9 2014-10-16

MINOR UPDATE
* create.scatterplot: for add.line.segments, changed line-end style to 'butt'
* create.stripplot: NEW ARGUMENTS to allow for addition of lines showing group medians
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.7 2014-10-10

MINOR UPDATE
* default.colours: added new schemes spiral.noon and spiral.night
* default.colours: rearranged order of qual scheme to decrease red-green combinations
* force.colour.scheme: changed CNV colours to red/blue/green/white, MSI to green/yellow, risk to red/yellow
* reorganized default.colours and force.colour.scheme to return deprecated schemes
* show.available.palettes: reorganized layout of 'specific' scheme output
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.6 2014-10-08

MINOR UPDATE
* create.boxplot: added arguments to allow for addition of stripplot in background
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.5 2014-09-19

MINOR UPDATE
* show.available.palettes: added new function to show schemes available in default.colours and
force.colour.scheme
* default.colours: refactored, changed greyscale warning to auto-calculate
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.4 2014-09-08

MINOR UPDATE
* create.scatterplot: changed argument name - add.lines > add.line.segments
* create.scatterplot: updated to accept lists of line segments to add
---------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.3 2014-08-22

MINOR UPDATE
* PlottingGuide: converting to use knitr, added further details and references to design portion
* MultiPlotTutorial: deleted, contents migrated to PlottingGuide

---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.2 2014-08-14

MINOR UPDATE
* create.manhattanplot: Updated documentation to use chromosome palette in force.colour.scheme
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.1 2014-08-14

MINOR UPDATE
* create.barplot: changed default fill colour to black (instead of grey)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.1.0 2014-08-12

MINOR UPDATE
* create.scatterplot: NEW ARGUMENTS text.guess.* now allows users to specify data points so that
  associated label positions can be automatically determined
* inside.rectangle: NEW FUNCTION which determines if a set of data points are inside a set of defined
  rectangles
* inside.ellipse: NEW FUNCTION which determines if a set of data points are inside a set of defined
  ellipses
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.28 2014-08-08

MINOR UPDATE
* Updated plotting guide to have extended design advice: added sections on resolution, file types, etc
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.27 2014-07-31

MINOR UPDATE
* Updated examples in scatterplot, qqplot comparison, hexbinplot, heatmap, dotmap, and barplot to have better formatted axes labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.26 2014-07-31

BUG FIX
* re-added argument line.lwd in create.scatterplot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.25 2014-07-31

MINOR UPDATE
* create.heatmap: NEW ARGUMENT gridline.order now allows user to specify in which order
  gridlines should be drawn (horizontal or vertical first)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.24 2014-07-31

MINOR UPDATE
* adjusted examples in qqplot.comparison, qqplot.fit and scatterplot to use character values for panel groupings
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.23 2014-07-30

MINOR UPDATE
* display.colours now additionally displays names of colours

BUG FIX
* added 'eye' to the 'tissue' palette in force.colour.scheme
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.22 2014-07-29

MINOR UPDATE
* Fixed: create.scatterplot, add.lines now works with lists of data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.20 2014-07-24

MINOR UPDATE
* Changed multiplot example to use matching gene data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.19 2014-07-23

MINOR UPDATE
* Changing chromosome palette in force.colour.scheme to use more visually distinct colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.18 2014-07-23

BUG FIX
* Changed datasets keep common genes among datasets
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.17 2014-07-21

MINOR UPDATE
* Updated multiplot tutorial with new examples using generate data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.16 2014-07-16

BUG FIX
* default.colours: properly return the requested number of colours when multiple palettes requested
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.15 2014-07-11

MINOR UPDATE
* create.scatterplot:
	- NEW ARGUMENTs allow for addition of line segments to be drawn
BUG FIX
* get.corr.key: fixed corner definition determined by x.pos and y.pos
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.14 2014-07-07

MINOR UPDATE
* create.scatterplot:
	- NEW ARGUMENT allows for specification of strip title fontface
* create.stripplot:
	- NEW ARGUMENT allows for specification of strip title fontface
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.11 2014-07-04

MINOR UPDATE
* added example to create.dotmap clustered by dots and dendrogram added
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.10 2014-07-04

MINOR UPDATE
* renamed colour schemes in default.colours to follow spiral.<timeofday> format
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.10 2014-07-04

MINOR UPDATE
* added biomolecule colour scheme to force.colour.schemes
* migrated chromosome colour scheme to force.colour scheme from default.colours
* renamed extra colour schemes in default.colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.9 2014-07-03

MINOR UPDATE
* formatting adjustments to examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.8 2014-07-03

MINOR UPDATE
* changed SNV dataset numerical coding to be simpler
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.7 2014-07-02

BUG FIXES
* palettes in default.colours function properly return subsets
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.6 2014-06-13

MINOR UPDATE
* force.colour.scheme now accepts both upper and lower case input
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.5 2014-06-11

MINOR UPDATE
* Changed default sequential, diverging, and binary schemes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.4 2014-06-10

MINOR UPDATE
* Added more schemes to default.colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.3 2014-06-04

MINOR UPDATE
* Added plotting guide to vignettes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.2 2014-06-02

BUG FIXES
* create.barplot:
  - Re-added origin to panel call to allow for negative bars
  - Set y-axis default values to appear automatically
  - Fixed ordering of bars by increasing data
* create.histogram: Silenced warning caused by data parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.1 2014-06-02

MINOR UPDATE
* force.colour.scheme: Added colour schemes in addition to the 'annovar' schemes
* default.colours: Added additional 5-colour palette
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 5.0.0 2014-05-29

MAJOR UPDATE
* create.scatterplot.with.error: Removed function, merged with create.scatterplot
* panel.BL.bwplot: Removed function, functionality no longer needed
* create.multiple.stripplots: Removed function, functionality contained within create.stripplot
* create.multiple.boxplots: Removed function, functionality contained within create.boxplot
* create.barplot.with.error: Removed function, functionality contained within create.barplot
* rgb.to.greyscale: Removed function, moved into display.colours
* colour.to.grey: Removed function, moved into display.colours
* scientific.notation.2: Removed function, functionality contained within scientific.notation
* scientific.notation.expr: Removed function, functionality contained within scientific.notation
* create.violinplot: Renamed function from create.violin.plot
* create.polygonplot: Renamed function from create.polygon

MINOR UPDATE
* Code and documentation base reviewed to match lab formatting standard
* Updating examples in documentation to use standard datasets instead of fake data
* create.multiplot: Updated example plots to use standard dataset
* patient: Added additional data to show proportions of base changes
* create.scatterplot: Added example using error bars
* scientific.notation: Now returns either an expression or list
* Updated test-suite to save a single multiplot to file
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.14 2014-05-28

MINOR UPDATE
* Updated test suite to remove soon-to-be deleted plotting functions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.13 2014-05-23

MINOR UPDATE
* Formatted examples in documentation to contain less than 100 characters per line
* SNV: changed encoding of dataset to use numerical values instead of character values
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.12 2014-05-22

MINOR UPDATE
* create.violin.plot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.11 2014-05-22

MINOR UPDATE
* create.stripplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.10 2014-05-22

MINOR UPDATE
* create.stripplot: Exposing xat and xlimits parameter to allow for customization of horizontal plots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.9 2014-05-22

MINOR UPDATE
* create.segplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.8 2014-05-21

MINOR UPDATE
* create.scatterplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.7 2014-05-21

MINOR UPDATE
* Removed old datasets and updated documentation examples to use newly formatted data
* Set LazyData in DESCRIPTION to 'yes' so that datasets can be referenced by name alone
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.6 2014-05-21

MINOR UPDATE
* CNA, SNV, microarray, patient: Added new datasets to data/ folder, each with a corresponding Rd file
* Deleted old 'p value' dataset formerly used for create.manhattanplot examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.5 2014-05-21

MINOR UPDATE
* create.colourkey: Fixed formatting in documentation to fit under 90 characters per line
* create.histogram: Updated example code to check dataset size instead of use hard-coded values
* microarray: Decreased size of microarray dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.4 2014-05-20

MINOR UPDATE
* create.colourkey: Exposed parameter for colourkey cex
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.3 2014-05-20

MINOR UPDATE
* create.qqplot.fit: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.2 2014-05-20

MINOR UPDATE
* create.qqplot.comparison: Updated example plots to use standard dataset
* MultiPlotTutorial: Reduced file size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.1 2014-05-19

MINOR UPDATE
* create.polygon: Updated example plots to use standard dataset

---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.3.0 2014-05-16

MINOR UPDATE
* run_plots: Added test script to package
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.40 2014-05-16

MINOR UPDATE
* create.histogram: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.39 2014-05-16

MINOR UPDATE
* create.hexbinplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.38 2014-05-16

MINOR UPDATE
* create.dotmap: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.37 2014-05-15

MINOR UPDATE
* create.densityplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.36 2014-05-15

MINOR UPDATE
* create.boxplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.35 2014-05-15

MINOR UPDATE
* create.heatmap: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.34 2014-05-15

BUG FIXES
* create.heatmap: Fixed error where heatmap threw error if symbols were added, but not 'border' symbols
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.33 2014-05-15

MINOR UPDATE
* create.heatmap: Added clarification to documentation that 'colour.alpha' can be set to 'automatic'
* create.multiplot: Expose parameters for x-axis and y-axis tick mark lengths
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.32 2014-05-14

MINOR UPDATE
* create.violinplot: Removed error message for using pch>=21 with lattice version 20-13
* create.violinplot: Modified handling of border and fill colours for extra points
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.31 2014-05-13

MINOR UPDATE
* create.manhattanplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.30 2014-05-12

MINOR UPDATE
* create.barplot: Updated example plots to use standard dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.29 2014-05-12

MINOR UPDATE
* create.dotmap: enabled default behaviour for NA values to plot 'X' characters size 7
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.28 2014-05-12

MINOR UPDATE
* create.dotmap: Improved handling of multiple pch with multiple fill colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.27 2014-05-08

MINOR UPDATE
* create.dotmap: Deleted warning for using pch>=21 with lattice version 20-13 (outdated)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.26 2014-05-02

MINOR UPDATE
* create.dotmap: Stopped printing of warning regarding using pch>=21 with lattice version 20-13
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.25 2014-04-25

MINOR UPDATE
* Fixed spelling errors in documentation and code
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.24 2014-04-24

MINOR UPDATE
* embed.plot: Added example & updated documentation to use proper parameters
* create.hexbinplot: Fixed formatting issue
* create.scatterplot: Fixed auto-sensing of labels
* create.barplot: Added functionality of adding text above bars
* create.heatmap: Added ability to have multi-sized borders
* create.heatmap: Adjusted input of 'main' to accept non-list values
* MultiPlotTutorial: Compressed pdf
* Updated formatting of all function documentation
* NAMESPACE: Added imports
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.23 2014-04-17

MINOR UPDATE
* create.densityplot: Added data-sensing
* create.scatterplot: Added data-sensing
* create.hexbinplot: Added example of multi-colour scheme
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.22 2014-04-17

MINOR UPDATE
* create.densityplot: Expose top, bottom, left, and right padding parameters
* create.hexbinplot: Expose top, bottom, left, and right padding parameters
* create.qqplot.fit: Expose top, bottom, left, and right padding parameters
* create.qqplot.comparison: Expose top, bottom, left, and right padding parameters
* create.violin.plot: Expose top, bottom, left, and right padding parameters
* create.heatmap: Added removal of top bar in stratified dendrograms

BUG FIXES
* Fixed bugs, typos, and  mismatches in multiplot tutorial sample code
* create.heatmap: Fixed coding issues
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.21 2014-04-13

MINOR UPDATE
* embed.plot: Added new function to allow for plot-within-a-plot layouts
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.20 2014-04-13

MINOR UPDATE
* create.heatmap: Added ability to automatically estimate values for colour.alpha parameter
* create.heatmap: Added example for automatic colour.alpha value estimation

BUG FIXES
* create.heatmap: Fixed grid to also draw lines on first row & column
* create.barplot: Fixed default units to inches
* create.heatmap: Fixed documentation to match changes in code
* create.boxplot: Fixed naming issue
* create.multiplot: Fixed naming conventions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.19 2014-04-04

MINOR UPDATE
* Added new function 'colour.gradient' to generate sequential colour palettes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.18 2014-03-31

MINOR UPDATE
* create.heatmap: Added ability to stratify dendrogram
* create.boxplot: Added ability to reorder boxplots based on median values
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.17 2014-03-26

MINOR UPDATE
* create.barplot: Added ability to draw curves
* create.boxplot: Added ability to draw curves
* create.barplot.with.error: Adjusted whisker length to not cover whole bar
* create.heatmap: Added example of per-cell font characteristics
* create.barplot: Added example of grouped labels
* create.boxplot: Added option of drawing line either in front of or behind plot

BUG FIXES
* create.heatmap: Fixed issue with symbols
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.16 2014-03-17

MINOR UPDATE
* create.heatmap: Added global covariate outline
* create.barplot: Added grouping of labels for grouped barplot
* create.heatmap: Added examples
* create.multiplot: Added examples

BUG FIXES
* write.metadata: Fixed to stop printing warnings
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.15 2014-03-14

MINOR UPDATE
* create.multiplot: Added ability to retrieve plot labels & limits from 'original' plots
* create.multiplot: Updated examples

BUG FIXES
* scientific.notation.expr: Fixed issue & code formatting
* write.metadata: Fixed issue with dependencies
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.14 2014-03-05

MINOR UPDATE
* create.heatmap: Added functionality of inserting additional symbols
* create.heatmap: Added example to documentation of symbol usage
* create.scatterplot: Changed ablines to be drawn in front of plot
* Added datasets files to inst folder for later use in examples
* Added vignettes folder containing multiplot tutorial

BUG FIXES
* create.barplot: Fixing reordering of bars
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.13 2014-02-26

MINOR UPDATE
* create.barplot: Set default reordering to FALSE
* create.dotmap: Added functionality to change dot colour
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.12 2014-02-25

MINOR UPDATE
* create.barplot: Added functionality to reorder bars to be increasing or decreasing
* create.hexbinplot: Added more examples
* Exposed 'fontface' parameter in all plotting functions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.11 2014-02-23

MINOR UPDATE
* display.statistical.result: Updated defaults in documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.10 2014-02-06

MINOR UPDATE
* create.hexbinplot: Added background colour
* create.hexbinplot: Added ability to have tick marks on top x axis only
* create.hexbinplot: Enabled svg output
* create.hexbinplot: Added examples to documentation

BUG FIXES
* create.barplot: Removed origin from panel call to enable creation of stacked, horizontal, unidirectional plots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.9 2014-02-03

MINOR UPDATE
* display.statistical.result: Added option to change ":" to a different symbol
* create.hexbinplot: Added ability to change background colour
* create.heatmap: Added ability to display tick marks on top axis only
* Enabled svg output for all plots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.8 2014-01-27

MINOR UPDATE
* Re-added package
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.7 2014-01-10

MAJOR UPDATE
* Added create.manhattanplot function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.4 2013-11-22

MINOR UPDATE
* Added TODO file
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.3 2013-11-18

MINOR UPDATE
* create.boxplot: Added ability to draw rectangle panels
* create.boxplot: Added new example with grey shading between different boxes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.2 2013-11-13

MINOR UPDATE
* create.barplot: Added ability to change the width of the box
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.1 2013-11-13

MINOR UPDATES
* create.barplot: Added new parameters - background.col and draw.grid
* create.barplot: Added new example of grey background with white grid lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.2.0 2013-11-12

MINOR UPDATE
* default.colours: Changed default qualitative palette to have brighter colours, and 12 options instead of only 9. Previous qualitative palette still accessible by setting palette.type = 'old.qual'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.8 2013-11-11

MINOR UPDATES
* default.colours: Removed deprecated survival colour scheme
* Changed warning about greyscale compatibility to be more general
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.7 2013-11-11

MINOR UPDATES
* default.colours: Removed deprecated old chromosome colour scheme
* Replaced 'sandybrown' with 'tan1' in new chromosome palette
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.6 2013-11-11

MINOR UPDATE
* Added create.colourkey to NAMESPACE
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.5 2013-11-10

MINOR UPDATE
* Update and reorder NAMESPACE
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.4 2013-11-09

MINOR UPDATE
* Removed unnecessary requires in get.corr.key
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.3 2013-11-09

MINOR UPDATE
* Updated minimum required versions of dependencies
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.2 2013-11-09

MINOR UPDATES
* create.barplot: Updated manual to reflect addition of 'axis.fontface' argument
* create.colourkey: Removed 'enable.warnings' argument
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.1 2013-11-08

MINOR UPDATE
* create.barplot: Added arguments 'xaxis.fontface' and 'yaxis.fontface'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.1.0 2013-11-05

MAJOR UPDATE
* Added new function: 'create.colourkey' to generate and draw colourkey
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.7 2013-11-04

MINOR UPDATES
* create.stripplot: New arguments 'xaxis.fontface', 'yaxis.fontface' to allow for modification of axis tck label font face
* create.stripplot: New argument 'ylab.axis.padding' allows for modification of padding between  yaxis label and tck labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.6 2013-11-01

MINOR UPDATES
* create.dendrogram: Updated documentation for jaccard usage
* create.heatmap: Updated documentation for jaccard usage
* create.heatmap: Moved logic for x.tck out of level plot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.5 2013-10-25

MINOR UPDATES
* create.heatmap: Refactoring and cleanup of code
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.4 2013-10-21

MINOR UPDATES
* create.polygon: Added 'median.lty' (for seq power plot)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.3 2013-10-18

MINOR UPDATES
* create.hexbinplot: Changed default of 'mincnt' to 1 (from 0)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.2 2013-09-26

MINOR UPDATES
* create.scatterplot.with.error: New arguments to specify plot layout and placement - 'layout', 'as.table', 'x.spacing', 'y.spacing'
* create.polygon: Added parameters 'axis.log' and 'yaxis.log'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.1 2013-08-26

MINOR UPDATES
* create.dotmap: Added example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 4.0.0 2013-08-13

MAJOR UPDATES
* Added 'write.metadata' function
* Added 'description' parameter to all plotting function documentations
* write.metadata: Added 'operating system', 'machine', 'system2'
* create.multiplot: Updated documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.10.2 2013-07-29

MINOR UPDATES
* default.colours: Update chromosome colour scheme to be coded by letter-names rather than numbers, and using more easily-distinguished colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.10.1 2013-07-25

MINOR UPDATES
* legend.grob: Added ability to specify size (width) of legend boxes for each legend individually
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.10.0 2013-07-25

MAJOR UPDATES
* create.scatterplot: Added parameter 'axis.key.padding' to adjust spacing between y-axis and key
* create.scatterplot: Added parameters 'add.points', 'points.x', 'points.y', 'points.col', 'points.pch', 'points.cex' - allow users to add additional points to plot area
* create.scatterplot: Added parameters 'add.text', 'text.x', 'text.y', 'text.labels', 'text.col', 'text.cex', 'text.fontface' - allow users to add text labels to plot area
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.6 2013-07-25

MINOR UPDATES
* create.dotmap: Added padding parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.5 2013-07-19

MINOR UPDATES
* create.barplot: Adjustments to spacing and commenting
* create.dotmap: Added ability to specify padding on all sides of plot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.4 2013-07-17

MINOR UPDATES
* create.multiplot: New argument 'axes.lwd' to specify border line thickness
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.3 2013-07-15

MINOR UPDATES
* create.multiplot: Fixed 'xlab.to.xaxis.padding' variable to change the correct parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.2 2013-07-12

MINOR UPDATES
* create.heatmap: Added ability to specify two x-axes, and gave meaning to 'x-alternating = 3' (prints tick marks on top and bottom x axes)
* create.multiplot: Added 'xlab.to.xaxis.padding' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.1 2013-07-09

MINOR UPDATES
* create.dotmap: Replaced 'grid.colour' with 'row.colour' and 'col.colour'
* create.barplot: Updated to accept arguments that handle background shading
* create.heatmap: Added 'xaxis.tck' and 'yaxis.tck' parameters to override default values based on covariate size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.9.0 2013-07-04

MINOR UPDATES
* create.multiplot: Added 'layout.skip' parameter to allow for blank spots in layout, and also added a complex example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.7 2013-06-28

MINOR UPDATES
* rgb.to.greyscale: Changing function to return results, rather than print
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.6 2013-06-27

MINOR UPDATES
* append.footnote: Added function to create plot footnotes
* default.colours: Fixed method of returning one-colour palettes for backwards compatibility
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.5 2013-06-17

MINOR UPDATES
* default.colours: Adjustments to chromosome colour palette
* default.colours: Added ability to provide multiple sequential and binary colour schemes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.4 2013-06-13

MINOR UPDATES
* create.boxplot: Added ability to define 'abline.v'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.3 2013-06-12

MINOR UPDATES
* display.colours: Added function to view colour palettes and what they look like in grey scale
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.2 2013-06-11

MINOR UPDATES
* covariates.grob: Added 'reorder.grid.index' parameter to specify ordering of grid indices
* create.heatmap: Added 'covariates.reorder.grid.index' and 'covariates.top.reorder.grid.index' parameters to match changes to covariates.grob
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.1 2013-06-10

MINOR UPDATES
* create.heatmap: Split 'grid.colour' and 'grid.lwd' parameters into 'row.colour/col.colour' and 'row.lwd/col.lwd'
* create.heatmap: Added grandfather parameters for 'grid.colour' and 'grid.lwd'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.8.0 2013-06-04

MAJOR UPDATES
* colour.to.grey: Added new function to convert R colours to R grey colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.7.0 2013-05-29

MAJOR UPDATES
* create.heatmap: Added 'covariates.row.lines', 'covariates.col.lines', 'covariates.top.row.lines', 'covariates.top.col.lines' corresponding to new covariates.grob arguments, and updated examples
* covariates.grob: Added parameters 'row.lines' and 'col.lines' to allow user to specify which grid lines to draw in covariate bars, and updated examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.20 2013-04-23

MINOR UPDATES
* get.corr.key: New arguments to allow for the addition of a title to the key
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.19 2013-04-04

MINOR UPDATES
* create.barplot: Attempting to make sizes match up
* create.dotmap: Can now have custom colours specified
* write.plot: Code formatting changes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.18 2013-03-19

MINOR UPDATES
* create.barplot: Code clean-up to match coding standards
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.17 2013-03-12

MINOR UPDATES
* create.barplot: Fix to align error bars when barplot is grouped
* write.plot: Refactor to place extension-specific code in inst/ext2function.txt
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.16 2013-03-07

MINOR UPDATES
* write.plot: Allowing pdf and png output
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.15 2013-03-05

MINOR UPDATES
* create.segplot: Added 'abline.h' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.14 2013-03-01

MINOR UPDATES
* create.heatmap: Centralize parameter-checking code at start of script
* Added pch>=21 warning to appropriate R files, and removed ^M
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.13 2013-02-19

MINOR UPDATES
* create.polygon: Added line plotting options 'add.xyline', 'abline.h', 'abline.v'
* create.barplot: Added examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.12 2013-02-14

MINOR UPDATES
* create.multiplot: Added check for NAs in the legends workaround
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.11 2013-02-12

MINOR UPDATES
* create.multiplot: Added workaround for lattice being unable to accept multiple legends with the same name via update.trellis
* create.multiplot: Allowed x/y-relations between plots to be set
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.10 2013-02-06

MINOR UPDATES
* create.multiplot: Added 'xlab.padding', and 'key.bottom.padding'
* Added copyright header to R files
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.9 2013-01-30

MINOR UPDATES
* create.barplot: Updating with "raster" command
* create.multiplot: Making examples prettier, moving key.bottom.padding into argument
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.8 2013-01-30

MINOR UPDATES
* create.barplot: Merging with create.barplot.with.error
* create.barplot.with.error: Merging with create.barplot
* create multiplot: Adding 'xaxis.fontface', 'yaxis.fontface' to allow for specification of axis-label fontface
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.7 2013-01-23

MINOR UPDATES
* create.scatterplot: Added explicit horizontal argument
* create.barplot: Added options to specify distance between x-axis and label
* create.scatterplot: Add options to pass arbitrary plots onto lattice:xyplot
* create.barplot.with.error: Fixing documentation
* create.barplot: Allow user to edit 'key.bottom'
* create.stripplot: Added parameters to allow for different border/fill colours (for pch 21:25), 'colour.alpha' to allow for plotting character transparencies, 'as.table', 'x.spacing', 'y.spacing' for customization of panels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.6 2013-01-09

MINOR UPDATES
* create.dotmap: Added argument 'pch.border.col' to set colour of dot border if pch is 21:25
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.5 2013-01-09

MINOR UPDATES
* create.scatterplot: Added 'key.left.padding' parameter to place legends to left of graph
* create.scatterplot: Added 'axes.lty' to set line style of axes lines
* force.colour.scheme: Added another colour palette
* create.multiplot: Added three parameters - 'xaxis.rot', 'key.left.padding', 'key.right.padding'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.4 2012-12-14

MINOR UPDATES
* create.heatmap: Added option of including x and y axis label covariates (between label and heatmap), and examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.3 2012-12-14

MINOR UPDATES
* force.colour.scheme: Added alternative colour scheme for annovar output
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.2 2012-12-12

MINOR UPDATES
* get.corr.key: Added missing else case for beta1.p
* force.colour.scheme: Added synonymous SNV to the list
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.1 2012-12-11

MINOR UPDATES
* create.multiplot: Changed key.left value to 1 so that legends can be placed to left of multiplot area
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.6.0 2012-12-11

MAJOR UPDATES
* create.scatterplot: Added ability to draw rectangles in background
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.17 2012-12-09

MINOR UPDATES
* create.polygon: Changed default values of 'xgrid.at' and 'ygrid.at'
* create.polygon: Added 'xaxis.fontface' and 'yaxis.fontface'
* create.polygon: Added 'fontface = xaxis.fontface' and 'fontface = yaxis.fontface' to scales$x and scales$y
* create.polygon: Added example to demonstrate use with legend.grob
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.16 2012-12-08

MINOR UPDATES
* create.polygon: Adjusted values of par.settings$layout.widths$axis.key.padding and par.settings$layout.heights$axis.key.padding to equal 1 - this lets the legend on the right be properly rendered
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.15 2012-12-07

MINOR UPDATES
* create.barplot: Added ability to create horizontal barplots - 'plot.horizontal', 'xlimits', and 'xat' parameters added & example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.14 2012-12-07

MINOR UPDATES
* create.scatterplot: Fixing example to adjust placement of yaxis title
* create.dotmap: Adding parameter 'fill.colour' to allow user to fill background of cells
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.13 2012-11-28

MINOR UPDATES
* force.colour.scheme: Added overload functionality, changed scheme
* Updating date with version
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.12 2012-11-28

MINOR UPDATES
* force.colour.scheme: Added new force colour scheme function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.12 2012-11-26

MINOR UPDATES
* create.barplot: Added ability to draw vertical lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.11 2012-11-26

MINOR UPDATES
* create.multiplot: Updated documentation to show to remove tick marks
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.10 2012-11-26

MINOR UPDATES
* get.line.breaks: Added get line breaks function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.9 2012-11-23

MINOR UPDATES
* create.heatmap: Added check for features exceeding pixels/width
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.8 2012-11-23

MINOR UPDATES
* create.polygon: Reverted functionality back to using if statements instead of ternary operators
* create.heatmap: Added covariate bar between heatmap and xaxis labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.7 2012-11-13

MINOR UPDATES
* create.dotmap: Added 'grid.col.lwd' and 'grid.row.lwd' to allow different weights of gridlines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.6 2012-11-13

MINOR UPDATES
* create.dotmap: Updated 'key.left', 'key.right', 'key.bottom' to default to 1 so that legends/keys are properly incorporated
* create.dotmap: Added example using covariate bar and legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.5 2012-11-08

MINOR UPDATES
* create.heatmap: Use grobPack() fontfamily specification to avoid unknown Arial font specification
* create.dotmap: Changed yaxis label default to not be bold
* legend.grob: Added parameters - 'layout', 'between.col', 'between.row' to allow user to specify layout for multiple legends and set empty space between rows/columns
* legend.grob: Changed titles in legend to use a text grob instead of draw.key
* create.heatmap: Added 'legend.layout', 'legend.between.col', and 'legend.between.row' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.4 2012-11-02

MINOR UPDATES
* create.dotmap: Updated to use dotmap colour scheme by default, fixed palette creation for >3 colour schemes
* create.dotmap: Added example with 5-colour background
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.3 2012-10-30

MINOR UPDATES
* create.heatmap: Added set.seed() call at beginning of examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.2 2012-10-29

MINOR UPDATES
* create.scatterplot: Fixed codoc error
* General fixes for coding-style standardization and document fixes
* Updates to dependency versions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.1 2012-10-26

MINOR UPDATES
* create.scatterplot: Changed default curves to use min/max with na.rm=T
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.5.0 2012-10-10

MAJOR UPDATES
* covariates.grob: Added parameters 'grid.row', 'grid.col', 'grid.border' to allow customization of grid lines within covariate bars
* create.heatmap: Added parameters 'covariates.grid.row', 'covariates.grid.col', 'covariates.grid.border', 'covariates.top.grid.row', 'covariates.top.grid.col', 'covariates.top.grid.border', 'legend.border', 'legend.border.padding'
* create.heatmap: Added parameters 'covariates.padding', and 'covariates.top.padding' to allow for empty space between covariate bars and dendrograms
* legend.grob: Added parameters 'border', 'border.padding' to allow for border around legend
* Updated examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.4.4 2012-10-10

MINOR UPDATES
* display.statistical.result: Added space before and after "x" sign
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.4.3 2012-10-10

MINOR UPDATES
* create.heatmap: Changed 'grid.row' and 'grid.col' to default to false
* create.heatmap: No longer assumes that matrices with less than 125 rows/columns should have grid lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.4.2 2012-10-02

MINOR UPDATES
* display.statistical.result: Migrating this function to plotting.general
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.4.1 2012-09-25

MINOR UPDATES
* create.heatmap: Added code to close devices opened by the grid::covertUnit function and remove Rplots.pdf files if necessary
* legend.grob: Added code to remove Rplots.pdf files created by the lattice::draw.key
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.4.0 2012-09-12

MAJOR UPDATES
* default.colours: Added gender colour palette
* create.dendrogram: Interface change - renamed cluster.dimensions (pl.) to cluster.dimension (s.) because only takes scalars
* create.dendrogram: Code clean-up
* create.dendrogram: Fixed handling of jaccard distance
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.7 2012-09-10

MINOR UPDATES
* create.segplot: Removed warning caused by typo in man file
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.6 2012-08-30

MINOR UPDATES
* legend.grob: Added code to close extra device created by the draw.key()
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.5 2012-08-29

MINOR UPDATES
* create.densityplot: Set groups to an ordered factor (avoids auto-alphabetical ordering by lattice during plotting)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.4 2012-08-24

MINOR UPDATES
* create.polygon: Added example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.3 2012-08-20

MINOR UPDATES
* create.segplot: Removed unused parameter from function definition & fixed inconsistencies
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.2 2012-08-20

MINOR UPDATES
* create.boxplot: Replaced call to panel.BL.bwplot with call to panel.bwplot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.1 2012-08-17

MINOR UPDATES
* default.colours: Added new 2-colour scheme for dotmaps
* create.dotmap: Updated example to use new dotmap colour scheme from default.colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.3.0 2012-08-17

MINOR UPDATES
* create.segplot: Added new function to create segplots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.31 2012-08-16

MINOR UPDATES
* create.heatmap: Added notes in help file for using euclidean when lots of ties and correlation fails
* legend.grob: Added notes in help file for using euclidean when lots of ties and correlation fails
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.30 2012-08-14

MINOR UPDATES
* create.violinplot: Fixed a bug in extra points argument
* create.scatterplot: Added alpha argument to control plotting transparency
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.29 2012-08-14

MINOR UPDATES
* create.dendrogram: Updated to use dist(method = "jaccard") instead of jaccard.distance()
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.28 2012-08-07

MINOR UPDATES
* default.colours: Changed warning message when survival colour scheme is used with more than 5 colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.27 2012-08-02

MINOR UPDATES
* create.polygon: Fixed border.col argument to allow different coloured borders for multiple groups
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.26 2012-07-31

MINOR UPDATES
* create.dendrogram: Changed jaccard.distance to use 't(x)' instead of 'x' in order to imitate behaviour of dist function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.25 2012-07-26

MINOR UPDATES
* create.polygon: New arguments 'extra.points', 'extra.points.cex', 'extra.points.col', to allow for points plotted on top of main plot
* create.polygon: New arguments 'xgrid.at', 'ygrid.at', 'grid.col' to allow for grid lines in the background of the main plot
* create.violin.plot: New arguments 'extra.points', 'extra.points.cex', 'extra.points.col', to allow for points plotted on top of main plot
* create.violin.plot: New arguments 'fill.colour', 'border.lwd' to allow for control of interior colours and exterior border widths
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.24 2012-07-25

MINOR UPDATES
* create.scatterplot.with.error: New arguments 'strip.col', 'strip.cex' to control size and background colour of panel labels
* create.scatterplot.with.error: New argument 'error.bar.length' to adjust size of error bar whiskers
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.23 2012-07-25

MINOR UPDATES
* create.stripplot: Added parameters for groups, layout, padding around graph, key and legend, and example for how to use 'groups' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.22 2012-07-23

MINOR UPDATES
* default.colours: Changed greyscale warning message for survival palette
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.21 2012-07-23

MINOR UPDATES
* create.barplot: Added example using covariates with labels/covariate legend
* create.scatterplot: Added example using covariates with labels/covariate legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.20 2012-07-22

MINOR UPDATES
* create.heatmap: Resolved codoc mismatch introduced in v3.2.19
* Updated package dependencies to newer versions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.19 2012-07-20

MINOR UPDATES
* create.heatmap: Replaced arguments 'border' and 'border.lwd' with 'grid.colour' and 'grid.lwd'
* create.heatmap: Added ability to turn off interior gridlines using 'grid.row=FALSE', 'grid.col=FALSE' or 'grid.lwd=0'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.18 2012-07-17

MINOR UPDATES
* create.dendrogram: Updated to use jaccard.distance instead of vegdist
* Removed vegan dependency from DESCRIPTION
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.17 2012-07-17

MINOR UPDATES
* panel.BL.bwplot: Changed 'nr' to 'nrow' in matrix call to avoid check warnings
* default.colours: Changed colours in survival palette
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.16 2012-07-17

MINOR UPDATES
* get.corr.key: Added robust regression coefficients and example using outlier
* Added dependency on package MASS
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.15 2012-07-16

MINOR UPDATES
* Changing vegan dependency version to be lower
* default.colours: Added survival palette and explanation in file as to how to add a new palette
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.14 2012-07-12

MINOR UPDATES
* default.colours: Code clean-up and added ability to use chromosome colour scheme
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.13 2012-07-03

MINOR UPDATES
* get.corr.key: Changed default resolution in create.survival.plot from 2000 to 100
* create.histogram: Added support for horizontal and vertical abline
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.12 2012-06-28

MINOR UPDATES
* default.colours: Fixed return value for Venn diagram palettes to return a list of both fill colours and text colours, as per example in documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.11 2012-06-27

MINOR UPDATES
* create.heatmap: Added 'text.col' parameter
* create.heatmap: Added example of using unicode symbols instead of text - similar to dotmap, but allows clustering
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.10 2012-06-26

MINOR UPDATES
* create.heatmap: Correct ordering of text in clustered data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.9 2012-06-15

MINOR UPDATES
* create.scatterplot: Reordered 'legend' and 'layout.width' arguments to fix padding issues
* create.scatterplot.with.error: Reordered 'legend' and 'layout.width' arguments to fix padding issues
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.8 2012-06-12

MINOR UPDATES
* create.stripplot: Added 'jitter' argument to allow for staggering of data along x-axis
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.7 2012-06-08

MINOR UPDATES
* create.histogram: Added parameters for padding, spacing, layout, panel
* create.histogram: Specifying type = "cairo" for all tiff() calls in Rd files - needed for building package on Mac
* covariates.grob: Specifying type = "cairo" for all tiff() calls in Rd files - needed for building package on Mac
* create.multiplot: Specifying type = "cairo" for all tiff() calls in Rd files - needed for building package on Mac
* legend.grob: Specifying type = "cairo" for all tiff() calls in Rd files - needed for building package on Mac
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.6 2012-06-05

MINOR UPDATES
* create.scatterplot: Added option 'abline.v' to draw vertical lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.5 2012-05-31

MINOR UPDATES
* create.densityplot: Fixed bug when grids are added - now if type=c("g","l"), xyplot.panels do not double call "g" circle symbols instead of lines
* create.multiple.boxplots: Updated x-axis label/rotation variable names to match other plotting functions & added argument to allow for specification of main.cex
* create.stripplot: Updated x-axis rotation variable name to match other plotting functions & added arguments to specify x/ylab.col, x/yaxis.col/tck/rot
* create.violinplot: Updated x-axis label/rotation variable names to match other plotting functions & added arguments to allow for specification of x/ylab.col, x/yaxis.col/tck/rot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.4 2012-05-29

MINOR UPDATES
* create.histogram: Added arguments to allow for specification of x/yaxis.col/tck, x/ylab.col, x/yaxis.rot
* create.polygon: Added arguments to allow for specification of x/yaxis.col/tck, x/ylab.col, x/yaxis.rot
* create.qqplot.comparison: Added arguments to allow for specification of x/yaxis.col/tck, x/ylab.col
* create.qqplot.fit: Added arguments to allow for specification of x/yaxis.col/tck, x/ylab.col
* create.scatterplot: Added arguments to allow for specification of x/yaxis.col/tck, x/ylab.col
* create.scatterplot.with.error: Added arguments to allow for specification of x/yaxis.col/tck, x/ylab.col
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.3 2012-05-28

MINOR UPDATES
* create.barplot: Added example with covariates
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.2 2012-05-28

MINOR UPDATES
* create.multiplot: Adjusted formatting and removed debugging code
* create.scatterplot: Added option 'abline.v' to draw vertical lines
* create.heatmap: Updated x/y label variable names to match other plotting functions, and added arguments to allow for specification of 'yaxis.rot', 'xaxis.col', 'yaxis.col', 'xlab.col', 'ylab.col', 'main.cex
* create.hexbinplot: Updated x/y label variable names to match other plotting functions, and added arguments to allow for specification of 'yaxis.rot', 'xaxis.col', 'yaxis.col', 'xlab.col', 'ylab.col', 'xaxis.tck', 'yaxis.tck'
* create.dotmap: Updated x/y label and x/y cex variable names to match other plotting functions, and added arguments to allow for specification of 'yaxis.rot', 'xaxis.col', 'yaxis.col', 'xlab.col', 'ylab.col'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.1 2012-05-18

MINOR UPDATES
* create.multiplot: Clarified labels on 6 panel example
* create.barplot: Updated examples to use new variables
* create.densityplot: Updated examples to include new variables
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.2.0 2012-05-16

MAJOR UPDATES
* create.multiplot: Added example with 6 panels & modified variable names to be consistent
* create.barplot: Changed x/yaxis label variable names, updated to accept arguments for x/yaxis rotation, x/y axis label and tick label colour, and length of x/y axis tick marks
* create.barplot.with.error: Changed x/yaxis label variable names, updated to accept arguments for x/yaxis rotation, x/y axis label and tick label colour, and length of x/y axis tick marks
* create.boxplot: Changed x/yaxis label variable names, updated to accept arguments for x/yaxis rotation, x/y axis label and tick label colour, and length of x/y axis tick marks
* create.densityplot: Changed x/yaxis label variable names, updated to accept arguments for x/yaxis rotation, x/y axis label and tick label colour, and length of x/y axis tick marks
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.16 2012-05-15

MINOR UPDATES
* create.stripplot: Implemented customizable character colour
* create.multiple.stripplots: Implemented customizable character colour
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.15 2012-05-14

MINOR UPDATES
* create.multiplot: Improved consistency of test output file names and variable names
* create.densityplot: Changed defaults to not display axis lines
* create.hexbinplot: Changed defaults to not display axis lines
* create.scatterplot.with.error: Changed defaults to not display axis lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.14 2012-05-11

MINOR UPDATES
* create.dotmap: Added 'xaxis.lab.cex' and 'yaxis.lab.cex' parameters to specify size of axis labels
* create.dotmap: Added 'key.top' parameter to specify size of space between colourkey and xaxis.label
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.13 2012-05-01

MINOR UPDATES
* create.heatmap: Added 'axes.lwd' parameter to change border width
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.12 2012-04-25

MINOR UPDATES
* create.multiplot: Added example combining a stripplot and heatmap
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.11 2012-04-23

MINOR UPDATES
* create.heatmap: Added 'xat' and 'yat' parameters to specify label locations
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.10 2012-04-20

MINOR UPDATES
* create.scatterplot: Added horizontal abline parameter - able to specify line width and type
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.9 2012-04-19

MINOR UPDATES
* create.dendrogram: Added 'jaccard' option for calculating distance (for clustering discrete variables)
* create.heatmap: Added 'jaccard' option for calculating distance (for clustering discrete variables)
* create.heatmap: Added example using covariate legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.8 2012-04-18

MINOR UPDATES
* create.heatmap: Updated parameter for cell text font size & clarified definitions of 'row.lines' and 'col.lines'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.7 2012-04-13

MINOR UPDATES
* create.heatmap: Added parameters to control text in cells and to manually specify row/column grid vectors
* legend.grob: Added parameter to specify border colour of legends
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.6 2012-04-12

MINOR UPDATES
* create.multiplot: Improved legend functionality
* create.heatmap: Added ability to insert text in cells & added example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.5 2012-04-08

MINOR UPDATES
* create.heatmap: Added parameters 'title.just' and 'title.fontface' to customize legend titles
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.5 2012-04-03

MINOR UPDATES
* create.heatmap: Edited documentation to finalize examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.4 2012-04-02

MINOR UPDATES
* create.multiplot: Added parameters for more customization - 'main.cex', 'xlab.cex', 'ylab.cex', 'xlimits', 'ylimits'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.3 2012-04-19

MINOR UPDATES
* create.dendrogram: Added 'jaccard' option for calculating distance (for clustering discrete variables)
* create.heatmap: Added 'jaccard' option for calculating distance (for clustering discrete variables)
* create.heatmap: Added example using covariate legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.2 2012-03-30

MINOR UPDATES
* create.heatmap: Updated examples to be fewer and follow a logical progression
* covariates.grob: Updated examples to be generated using grid.draw() and produce .tiff output
* legend.grob: Prevented premature closure of user images by removing "dev.off()" call & updated examples to .tiff files using grid.draw()
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.1 2012-03-21

MINOR UPDATES
* create.hexbinplot: Altered layout.widths to automatically adjust key.right if colourkey is added (previously right.padding was adjusted and legend was occasionally cut off)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.1.0 2012-03-16

MAJOR UPDATES
* create.heatmap: Added ability to take more than three colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.9 2012-03-15

MINOR UPDATES
* create.heatmap: Added parameters 'shrink', 'border', 'border.lwd'
* create.multiplot: Updated example to use create.heatmap instead of base lattice::levelplot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.8 2012-03-09

MINOR UPDATES
* create.heatmap: Added parameter 'force.clustering' to allow user to ignore the row-limitation
* create.dendrogram: Added parameter 'force.clustering' to allow user to ignore the row-limitation
* Updated dependency versions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.7 2012-03-09

MINOR UPDATES
* create.histogram: Removed check of 'x' to ensure it is a formula - problematic is function is called within another function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.6 2012-02-21

MINOR UPDATES
* create.multiplot: Changing default of 'xaxis.alternating' parameter
* Modified "see also" documentation of plotting functions  to include web versions of lattice graphics
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.5 2012-02-15

MINOR UPDATES
* Added "see also" sections of documentation of plotting functions for easy referencing
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.4 2012-02-10

MINOR UPDATES
* create.multiplot: Added 'panel.widths' parameter & an example to the documentation
* create.multiplot: Removed internal axes labels in cases where plot axes are identical
* create.scatterplot: Fixed file formatting to use tabs
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.3 2012-02-07

MINOR UPDATES
* create.multiplot: Fixed file formatting to use tabs instead of spaces
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.2 2012-02-02

MINOR UPDATES
* create.multiplot: Changed name of example output
* create.heatmap: Changed default colour scheme to use two colours if data is one-sided and three colours if data is two-sided
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.1 2012-01-25

MINOR UPDATES
* create.heatmap: updated documentation to link to related man pages
* legend.grob: updated documentation to explain implementation decisions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 3.0.0 2012-01-23

MAJOR UPDATES
* create.heatmap: Added parameters 'covariate.legends', 'legend.cex', 'legend.title.cex', and 'legend.side' to allow users to include a legend for the covariates
* legend.grob: Added this function to draw legends

MINOR UPDATES
* Updated NAMESPACE to rename create.plot.with.levelplot to create.multiplot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.13.1 2012-01-16

MINOR UPDATES
* create.histogram: Added 'x' parameter to take in formulas, leaving 'data' parameter to take in data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.13.0 2012-01-16

MAJOR UPDATES
* create.multiplot: Renamed this function - previously called 'create.plot.with.levelplot'
* create.multiplot: Updated to take any number of plots and display them in the specified layout
* create.multiplot: Replaced parameters 'plot.object' and 'levelplot.object' with 'plot.objects
* create.multiplot: Replaced parameter 'spacing' with 'yspacing'
* create.multiplot: Added parameters 'xspacing' and 'plot.layout'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.12.5 2012-01-11

MINOR UPDATES
* create.barplot: Added parameter 'border.col' to control border colour
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.12.4 2012-01-11

MINOR UPDATES
* create.barplot: Added parameters 'abline.h', 'abline.type', 'abline.lwd', 'abline.col' to add superimposed line
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.12.3 2012-01-11

MINOR UPDATES
* create.boxplot: Added parameters 'abline.h', 'abline.type', 'abline.lwd', 'abline.col' to add superimposed line
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.12.2 2012-01-10

MINOR UPDATES
* create.barplot: Added 'panel.abline'
* create.boxplot: Added 'panel.abline'
* create.heatmap: Added parameters 'xlab', 'ylab' and ability to place x-axis label on top axis
* create.plot.with.levelplot: Added error checking for trellis objects
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.12.1 2012-01-10

MINOR UPDATES
* create.heatmap: Added ability to plot covariates without dendrograms
* create.heatmap: Added parameters 'row.dendrogram' and 'col.dendrogram' to allow users to pass in dendrograms
* Added two functions - create.dendrogram() and covariates.grob()
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.12.0 2012-01-10

MINOR UPDATES
* get.defaults: Set unix to fall back on default fonts
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.10 2012-01-06

MINOR UPDATES
* create.plot.with.levelplot: Updated border example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.9 2012-01-04

* Committing new version
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.8 2012-01-04

MINOR UPDATES
* create.plot.with.levelplot: Improved ability to control axis labels
* create.plot.with.levelplot: Added padding parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.7 2011-12-23

MINOR UPDATES
* Minor change to DESCRIPTION
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.6 2011-12-22

MINOR UPDATES
* create.scatterplot: Updated to allow for parameters of length one specify properties of all curves with 'add.curves' option
* create.scatterplot: Added warning for cases when curves are drawn with data containing groups where grouping variables are being removed
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.5 2011-12-16

MINOR UPDATES
* create.plot.with.levelplot: Reformatted example code
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.4 2011-12-15

MINOR UPDATES
* create.plot.with.levelplot: Improved readability of parameter list
* create.scatterplot: Updated panel.curve code to avoid 'no visible binding for global variable x' error
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.3 2011-12-13

MINOR UPDATES
* create.scatterplot.with.error: Minor formatting fix to example
* create.scatterplot: Added parameter 'key.top' to control spacing above the key
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.2 2011-12-13

MINOR UPDATES
* create.heatmap: Renamed parameter 'data.to.cluster' with 'x'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.1 2011-12-13

MINOR UPDATES
* create.heatmap: Cleaned up code by removing spurious print statements
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.11.0 2011-12-13

MAJOR UPDATES
* Updated many plotting examples have better clarity and use default.colours()

MINOR UPDATES
* default.colours: Standardized error-handling
* create.dotmap: Changed default colour scheme
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.12 2011-12-13

MINOR UPDATES
* create.heatmap: Renamed parameters 'names.row' and 'names.col' with 'xaxis.lab' and 'yaxis.lab'
* create.heatmap: Added new parameter 'xaxis.col' to set colours of axis labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.11 2011-12-13

MINOR UPDATES
* create.heatmap: Cleaned up code by standardizing variable names and adjusting error-handling
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.10 2011-12-12

MINOR UPDATES
* optimal.heatmap.cex.txt: Improved formatting of header
* create.heatmap: Cleaned up code
* create.heatmap: Added example of how to specify row and column labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.9 2011-12-12

MINOR UPDATES
* create.scatterplot: Changed formatting to produce a smaller gap between title and plot
* create.scatterplot: Updated example to include legend and filename
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.8 2011-12-06

MINOR UPDATES
* create.scatterplot: Cleaned up code by removing inverted line
* Updated default value of 'strip.col' to 'white' instead of 'grey'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.7 2011-12-02

MINOR UPDATES
* create.scatterplot: Added example to draw colour depth to scatterpoints
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.6 2011-12-01

BUG FIXES
* create.scatterplot: Fixed bug in default behaviour for 'curve.from' and 'curve.to' parameters

MINOR UPDATES
* create.scatterplot: Updated example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.5 2011-12-01

MINOR UPDATES
* create.scatterplot: Cleaned up code
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.4 2011-11-30

MINOR UPDATES
* create.scatterplot: Replace parameter 'add.lines' with 'add.curves', this allowing the user to draw any segment of any curve that can be specified with a function
* create.scatterplot: Added example to demonstrate use of 'add.curves' parameter
* create.polygon: Fixed 'alternating' parameter to force x-axis labels to be on the bottom row
* create.polygon: Updated example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.3 2011-11-29

MINOR UPDATES
* create.polygon: Updated 'top.padding' and 'bottom.padding' parameters
* create.scatterplot: Added ability to draw line segments on plotting region
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.2 2011-11-17

MINOR UPDATES
* create.violin.plot: Updated to allow boundaries and scaling
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.1 2011-11-17

MINOR UPDATES
* create.plot.with.levelplot: Added this function by merging 'create.boxplot.with.levelplot' and 'create.scatterplot.with.levelplot'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.10.0 2011-10-27

MAJOR UPDATES
* create.scatterplot.with.levelplot: Added this function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.44 2011-10-24

MINOR UPDATES
* Temporary change to lattice dependency version
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.43 2011-10-12

MINOR UPDATES
* create.heatmap: Added parameters to support ?dist based distance measures for clustering
* create.hexbinplot: Added warning if specified 'maxcnt' is less than the actual max count
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.42 2011-09-28

MINOR UPDATES
* create.boxplot: Updated to force axis labels to always be on the left or bottom
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.41 2011-09-27

MINOR UPDATES
* Added 'as.table' parameter to plotting functions to allow for panel ordering
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.40 2011-09-21

MINOR UPDATES
* create.qqplot.comparison: Added option of choosing difference methods to draw a reference line
* create.qqplot.fit: Added option of choosing difference methods to draw a reference line
* create.qqplot.fit: Added ability to draw confidence bands for grouped data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.39 2011-09-20

MINOR UPDATES
* create.dotmap: Standardized parameter names
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.38 2011-09-14

MINOR UPDATES
* create.dotmap: Added example of using 'padding.text'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.37 2011-09-13

MINOR UPDATES
* create.qqplot.fit: Added polygon plots for confidence intervals
* create.scatterplot: Fixed 'add.axes' parameter default value in documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.36 2011-09-13

MINOR UPDATES
* create.scatterplot: Changed default value of 'add.axes' parameter to FALSE
* default.colours: Change output format to be returned, rather than printed
* create.polygon: Added 'use.loess.median' and 'use.loess.border' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.35 2011-09-08

MINOR UPDATES
* change dependency version for package BoutrosLab.statistics.general
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.34 2011-09-05

MINOR UPDATES
* create.barplot: Added parameters to change colour and font size of the panel title
* create.boxplot: Added parameters to change colour and font size of the panel title
* create.polygon: Added parameters to change colour and font size of the panel title
* create.scatterplot: Added parameters to change colour and font size of the panel title
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.33 2011-09-01

MINOR UPDATES
* Added 'rgb.to.greyscale' function to NAMESPACE
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.32 2011-09-01

BUG FIXES
* create.hexbinplot: Removed appearance of artificial blue dot at origin
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.31 2011-09-01

MINOR UPDATES
* rgb.to.greyscale: Added function to BoutrosLab.plotting.general
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.30 2011-08-30

MINOR UPDATES
* create.qqplot.fit: Changes to ensure expected functionality
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.29 2011-08-30

MINOR UPDATES
* create.qqplot.fit: Deleted function 'single.qqplot.CI' and revised corresponding part in function 'create.qqplot.fit'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.28 2011-08-30

MINOR UPDATES
* Updated maintainer email
* Removed dependency on package 'distr'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.27 2011-08-26

MINOR UPDATES
* create.histogram: Changed formatting of documentation
* create.multiple.stripplots: Added 'ylab.axis.padding' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.26 2011-08-26

MINOR UPDATES
* default.colours: Added new function to provide colour schemes for plotting
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.25 2011-08-25

MINOR UPDATES
* optimal.heatmap.cex.txt: Added lookup file for setting default font sizes for heatmaps of varying size
* create.heatmap: Changed to set default font sizes from lookup file (based on size of input)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.24 2011-08-24

MINOR UPDATES
* create.polygon: Cleaned up code
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.23 2011-08-24

MINOR UPDATES
* create.multiple.boxplots: Added 'ylab.axis.padding' and 'ylab.cex' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.22 2011-08-24

MINOR UPDATES
* create.dotmap: Changed default grid line colour to grey when no background colour is present
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.21 2011-08-23

MINOR UPDATES
* single.qqplot.CI: Removed 'subset' function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.20 2011-08-23

MINOR UPDATES
* create.qqplot.comparison: Fixed examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.19 2011-08-23

MINOR UPDATES
* create.qqplot.comparison: Fixed examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.18 2011-08-23

MINOR UPDATES
* create.qqplot.comparison: Added functionality of drawing confidence bands
* create.qqplot.comparison: Changed label default behaviour
* create.qqplot.fit: Changed label default behaviour
* create.dotmap: Changed default grid line colour to black if background colour is present
* create.polygon: Fixed grouping functionality and example
* create.polygon: Added translucent colours
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.17 2011-08-16

MINOR UPDATES
* create.polygon: Changed input parameter settings to be more intuitive
* create.polygon: Added examples (including grouping example)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.16 2011-08-16

MINOR UPDATES
* create.scatterplot: Removed redundancy in code by parameterizing y=x line, and changed example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.15 2011-08-15

MINOR UPDATES
* create.boxplot.with.levelplot: Added more examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.14 2011-08-13

MINOR UPDATES
* create.qqplot.fit: Improvements to code formatting
* create.qqplot.comparison: Improvements to code formatting
* single.qqplot.CI: Improvements to code formatting
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.13 2011-08-11

MINOR UPDATES
* create.hexbinplot: Added 'xaxis.labels' and 'yaxis.labels' parameters
* create.boxplot.with.levelplot: Improved example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.12 2011-08-11

MINOR UPDATES
* create.barplot: Added panel parameters
* create.scatterplot: Added panel parameters and improved input method of 'groups' parameter
* boxplot.with.levelplot: Cleaned up example names
* create.polygon: Cleaned up example names
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.11 2011-08-10

MINOR UPDATES
* create.scatterplot: Added 'layout' and 'xaxis.tck' parameters to specify figure arrangement and length of tick marks
* create.scatterplot: Added example to show lines connecting dots to the x-axis
* get.corr.key: Added 'key.cex' parameter to allow users to specify font size of the key
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.10 2011-08-08

MINOR UPDATES
* create.qqplot.fit: Added example
* single.qqplot.CI: Renamed from 'qq.single.CI' and updated examples and documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.9 2011-08-08

MINOR UPDATES
* qq.single.CI: Renamed from 'envelop' function
* create.qqplot.comparison: Renamed from 'create.qqplot2' function
* create.qqplot.fit: Renamed from 'create.qqplot' function
* create.scatterplot: Updated example output names for consistency
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.8 2011-08-06

MINOR UPDATES
* create.qqplot: Code-review
* create.qqplot2: Code-review
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.7 2011-08-05

MINOR UPDATES
* envelope: Added function to create one-sample qqplot
* create.qqplot: Updated code and documentation
* create.qqplot2: Updated code and documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.6 2011-08-05

MINOR UPDATES
* create.qqplot2: Added function to create two-sample qq plots
* create.qqplot: Added function to create one-sample qq plots
* create.boxplot.with.levelplot: Updated documentation
* create.polygon: Updated documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.5 2011-08-03

MINOR UPDATES
* create.heatmap: Added 'print.color.key' parameter to enable turning "off" of colourkey printing
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.4 2011-08-03

MINOR UPDATES
* create.boxplot.with.levelplot: Added new function
* create.polygon: Added new function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.3 2011-08-02

MINOR UPDATES
* create.violin.plot: Updated examples
* Updated package dependencies
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.2 2011-07-25

MINOR UPDATES
* create.dotmap: Updated documentation
* Updated package dependencies
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.1 2011-07-23

MINOR UPDATES
* create.boxplot: Added 'x.tck' parameter to control length of tick marks
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.9.0 2011-07-21

MINOR UPDATES
* create.dotmap: Added new plotting function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.8.3 2011-07-14

MINOR UPDATES
* create.boxplot: Added panel parameters
* create.heatmap: Added 'x.alternating' parameter to control position of x-axis labels
* Added warning to documentation of plotting functions to alert users of ineffective methods of running functions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.8.2 2011-06-27

MINOR UPDATES
* create.multiple.stripplots: Added 'type' parameter to allow users to change the type of plotting characters
* create.heatmap: Added 'xlab' and 'ylab' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.8.1 2011-06-22

MINOR UPDATES
* create.heatmap: Added functionality of removing column and/or row grid-lines
* Updated package dependency versions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.8.0 2011-06-17

MAJOR UPDATES
* create.multiple.stripplots: Added new plotting function to create multiple stripplots

MINOR UPDATES:
* create.multiple.boxplots: Added 'header.cex' parameter to control font size of the header
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.7 2011-06-16

MINOR UPDATES
* create.violin.plot: Added 'xaxis.labels' and 'yaxis.labels' parameters to control axes labelling
* create.heatmap: Added 'top.padding' and 'bottom.padding' parameters to control top and bottom margins
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.6 2011-06-08

MINOR UPDATES
* Updated plotting functions for NAMESPACE
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.5 2011-06-08

MINOR UPDATES
* create.histogram: Added 'lwd' and 'lty' parameters to control line width and line style
* create.histogram: Fixed code to work without axes labels
* create.scatterplot: Added 'lty' parameter to control line style and adjusted example
* create.scatterplot.with.error: Added 'lty' parameter and adjusted example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.4 2011-06-07

MINOR UPDATES
* Added NAMESPACE
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.3 2011-05-31

MINOR UPDATES
* get.corr.key: Fixed syntax error in example
* create.boxplot: Reverted functionality to use panel.BL.bwplot
* create.scatterplot: Updated examples
* create.histogram: Updated examples
* create.scatterplot.with.error: Updated examples
* create.violinplot: Updated examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.2 2011-05-19

MINOR UPDATES
* create.heatmap: Added 'right.padding' and 'left.padding' parameters to control margins
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.1 2011-05-17

MINOR UPDATES
* get.corr.key: Cleaned code
* create.hexbinplot: Cleaned code and fixed links in documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.7.0 2011-05-12

BUG FIXES
* create.hexbinplot: Changed implementation to address critical issues related to 'maxcnt' argument

MINOR UPDATES:
* create.hexbinplot: Updated documentation with links and example
* create.barplot: Updated example
* create.densityplot: Updated example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.7 2011-05-11

MINOR UPDATES
* get.corr.key: Added 'alpha.background' parameter
* create.hexbinplot: Development version - bug related to 'maxcnt' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.6 2011-05-02

MINOR UPDATES
* get.corr.key: Fixed error
* create.hexbinplot: Added 'grid' and 'abline' parameters and corresponding example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.5 2011-05-02

MINOR UPDATES
* create.hexbinplot: Added 'colorcut', 'mincnt', 'maxcnt' parameters to allow user to specify number of bins in plot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.4 2011-04-28

MINOR UPDATES
* get.corr.key: Improved code formatting
* get.corr.key: Added 'beta0' and 'beta1' options to the key
* create.hexbinplot: Added 'aspect' parameter to adjust plot size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.3 2011-04-21

MINOR UPDATES
* create.hexbinplot: Added 'xaxis.cex' and 'yaxis.cex' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.2 2011-04-04

MINOR UPDATES
* create.boxplot: Updated code to remove unnecessary dependencies
* create.boxplot: Added 'fill' parameter to control the fill colour and corresponding example
* create.scatterplot: Updates to the examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.1 2011-04-01

MINOR UPDATES
* create.dotmap: Reintroduced 'key' parameter into function
* create.dotmap: Added 'legend' parameter to allow for multiple keys
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.6.0 2011-03-13

MAJOR UPDATES
* create.scatterplot: Updated functionality to allow for log-scale x- and y-axes

MINOR UPDATES
* create.scatterplot: Cleaned up documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.7 2011-03-11

MINOR UPDATES
* create.densityplot: Added 'xaxis.labels' and 'yaxis.labels' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.6 2011-03-10

MINOR UPDATES
* create.violin.plot: Added example using legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.5 2011-03-10

MINOR UPDATES
* create.scatterplot.with.error: Added example using legend
* create.scatterplot: Updated example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.4 2011-03-10

MINOR UPDATES
* create.hexbinplot: Added example using legend
* create.histogram: Added example using legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.3 2011-03-10

MINOR UPDATES
* create.boxplot: Added example using legend
* create.densityplot: Added example using legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.2 2011-03-10

MINOR UPDATES
* create.barplot.with.error: Added example using legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.1 2011-03-10

MINOR UPDATES
* create.barplot: Added example using legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.5.0 2011-03-09

MINOR UPDATES
* create.barplot.with.error: Updated example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.4.0 2011-03-08

MINOR UPDATES
* create.dotmap: Removed 'legend' parameter
* create.scatterplot: Updated example filenames
* create.scatterplot: Added example using legend
* create.barplot.with.error: Cleaned up code
* create.densityplot: Updated code to use a single panel function
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.3.3 2011-03-03

MINOR UPDATES
* create.heatmap: Updated examples to be sequential and added example using covariates
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.3.2 2011-02-23

MINOR UPDATES
* create.scatterplot: Added 'abline' argument
* create.scatterplot.with.error: Added 'abline' argument
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.3.1 2011-02-23

MINOR UPDATES
* create.scatterplot: Added ability to add multiple keys to a single plot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.3.0 2011-02-22

MINOR UPDATES
* create.scatterplot: Cleaned up code to use a single panel function
* create.scatterplot.with.error: Cleaned up code to use a single panel function
* create.scatterplot.with.error: Updated formatting to use tabs instead of spaces
* create.scatterplot.with.error: Cleaned up documentation and examples

BUG FIXES
* create.scatterplot.with.error: Fixed bug that prevented keys from being plotted
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.2.0 2011-02-22

MINOR UPDATES
* create.densityplot: Changed 'xat' and 'yat' parameters into 'xgrid.at' and 'ygrid.at' parameters to specify grid lines and added example
* create.scatterplot: Changed 'xat' and 'yat' parameters into 'xgrid.at' and 'ygrid.at' parameters to specify grid lines and added example
* create.scatterplot.with.error: Changed 'xat' and 'yat' parameters into 'xgrid.at' and 'ygrid.at' parameters to specify grid lines and added example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.1.0 2011-02-22

MAJOR UPDATES
* Added 'legend' and 'key' parameters to plotting functions

MINOR UPDATES
* create.scatterplot: Added example using a legend
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.24 2011-02-21

BUG FIXES
* get.corr.key: Fixed bug related to using phantom instead of phantom(0)
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.23 2011-02-19

MINOR UPDATES
* create.barplot: Updated to allow use of non-factorial variables for grouping
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.22 2011-02-17

BUG FIXES
* create.scatterplot.with.error: Fixed error related to grid
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.21 2011-02-14

BUG FIXES
* create.scatterplot: Fixed error related to 'ylimits' and 'xlimits', 'yat' and 'xat
* create.scatterplot.with.error: Fixed error related to grouped line graphs
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.20 2011-02-13

MINOR UPDATES
* create.barplot: Changed to prevent spurious warnings when specifying colours with ungrouped data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.19 2011-02-11

MINOR UPDATES
* create.heatmap: Updated examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.18 2011-02-11

MINOR UPDATES
* create.heatmap: Cleaned up code to remove deprecated parameter 'colour.number.tweak'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.17 2011-02-09

MINOR UPDATES
* create.scatterplot: Cleaned up examples to all use the same dataset
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.16 2011-02-07

MINOR UPDATES
* create.scatterplot.with.error: Cleaned up code to match documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.15 2011-02-04

MINOR UPDATES
* generate.at.final: Added function to add tick marks to plots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.14 2011-01-31

MINOR UPDATES
* get.corr.key: Added documentation to function for automatically generating a legend with correlation, beta, and p-values
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.13 2011-01-31

MINOR UPDATES
* get.corr.key: Updated to code
* Updated required packages
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.12 2011-01-25

MINOR UPDATES
* generate.at.final: Added documentation
* get.corr.key: Added option of including beta

BUG FIXES
* create.densityplot: Addressed problem of grid drawing and tick mark locations not lining up when both are required - this achieved by removing default grid lines and redrawing them using panel.abline() at user-specified locations
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.11 2011-01-17

MINOR UPDATES
* get.corr.key: Added flexibility to have rho in Greek
* write.plot: Added functionality to call CairoTIFF if default tiff has problems
* create.dotmap: Updated default value of 'xaxis.lab' and 'yaxis.lab' to NULL in order to accept expressions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.10 2011-01-07

MINOR UPDATES
* get.corr.key: Added function to add basic correlation key to scatter-like plots
* create.barplot: Updated documentation and examples to use more complex datasets and demonstrate use of 'ylim' and 'yat' parameters
* create.barplot: Added 'key' parameter
* create.barplot: Changed 'groups' parameter to accept an expression or variable
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.9 2010-12-22

MINOR UPDATES
* create.barplot: Added filename to stacked barplot examples

BUG FIXES
* create.barplot: Fixed problem with groups
* create.barplot.with.error: Fixed problem with groups
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.8 2010-12-21

MINOR UPDATES
* create.barplot: Added user-control for colour picking for groups
* create.barplot.with.error: Added user-control for colour picking for groups
* create.barplot: Added 'group' and 'stack' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.7 2010-11-29

MINOR UPDATES
* create.scatterplot: Added ability to rotate text in axis labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.6 2010-11-17

MINOR UPDATES
* create.scatterplot.with.error: Added group-specific error bar colour handling under no conditioning
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.5 2010-11-17

MINOR UPDATES
* create.scatterplot.with.error: Added 'add.axes' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.4 2010-11-16

MINOR UPDATES
* create.scatterplot.with.error: Added ability to handle grouped data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.3 2010-11-15

MINOR UPDATES
* create.scatterplot: Added 'xaxis.labels' and 'yaxis.labels' parameter to allow customization of axis labels
* get.defaults: Updated to handle font changes with R v2.12.0
* create.dotmap: Updated examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.2 2010-11-15

MINOR UPDATES
* create.scatterplot: Added ability to handle grouped data
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.1 2010-11-11

MINOR UPDATES
* Updated platform-specific code to work better with changes in R v2.12.0
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 2.0.0 2010-11-02

MAJOR UPDATES
* Updated package dependencies
* Updated all plotting functions to take a main title
* get.defaults: Fixed bug related to changes in newest versions of R and lattice
* create.heatmap: Updated colouring functionality to reduce possibility of error
* create.histogram: Added functionality of colouring bars
* create.hexbinplot: Added functionality of specifying label sizes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.11.2 2010-10-26

MINOR UPDATES
* create.boxplot: Added 'lwd' parameter to support production of smaller images
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.11.1 2010-10-20

MINOR UPDATES
* create.boxplot: Updated to facilitate horizontal boxplots annotations for x-axis
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.11.0 2010-10-14

MAJOR UPDATES
* write.plot: Added new function to standardize plotting output - now used in all plotting functions

MINOR UPDATES
* create.barplot.with.error: Changed default line width of bar outline to match line width of error bar
* create.barplot: Updated layout of figure to match other plotting functions
* Removed 'compression' parameter from plotting functions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.10.1 2010-09-23

MINOR UPDATES
* create.multiple.boxplots: Reordered parameters to be consisting with other plotting functions
* create.multiple.boxplots: Added 'symbol.cex' parameter to control size of boxplot dots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.10.0 2010-09-22

BUG FIXES
* create.boxplot: Fixed so that 'ylimits' argument is no longer silently ignored
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.21 2010-09-16

MINOR UPDATES
* create.violin.plot: Updated documentation to clarify circumstances when 'x' will be coerced to a factor or shingle (when horizontal argument set to FALSE)
* create.hexbinplot: Added 'compression' and 'add.axes' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.20 2010-09-15

MINOR UPDATES
* create.multiple.boxplots: Updated 'right.padding' to be set to 2
* create.barplot.with.error: Renamed function from create.barplot.with.error.r into create.barplot.with.error.R
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.19 2010-09-12

MINOR UPDATES
* Updated documentation of plotting functions
* Updated plotting functions to output a trellis object by default
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.18 2010-09-03

BUG FIXES
* create.barplot: Fixed bug that prevented implicit grouping from working
* create.barplot.with.error: Fixed bug that prevented implicit grouping from working
* create.scatterplot.with.error: Fixed bug that prevented implicit grouping from working
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.17 2010-08-31

BUG FIXES
* create.scatterplot: Fixed bug that prevented implicit grouping from working
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.16 2010-08-27

MINOR UPDATES
* create.barplot.with.error: Added function to create barplots with customizable error bars
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.15 2010-08-26

MINOR UPDATES
* create.violinplot: Added 'horizontal' parameter to allow user to specify whether to plot horizontally or vertically
* create.scatterplot.with.error: Added 'y.error.up', 'y.error.down', 'x.error.right', 'x.error.left' parameter to allow for drawing horizontal and/or vertical error bars (removed 'error.plus' and 'error.minus' parameters)
* create.scatterplot.with.error: Added 'x.error.bar.col' and 'y.error.bar.col' parameters
* create.scatterplot.with.error: Added 'error.whisker.angle' parameter to control the angle of whiskers drawn at both ends of the error bars
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.14 2010-08-19

MINOR UPDATES
* create.boxplot: Added 'xaxis.labels' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.13 2010-08-15

MINOR UPDATES
* Added warnings framework to plotting functions
* Updated functions to correctly deal with postscript graphics device
* Reimplemented fonts mechanism to support Win/*Nix systems correctly w.r.t postscript specific exceptions
* create.heatmap: Added 'cor.method' parameter

BUG FIXES
* panel.BL.bwplot: Fixed function to show outlier points properly when input argument box.colour is a vector
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.12 2010-08-07

MINOR UPDATES
* create.barplot: Updated default to give x-axis and y-axis scale labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.11 2010-08-07

MINOR UPDATES
* Updated plotting functions to offer OS specific settings framework
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.10 2010-08-07

MINOR UPDATES
* Updated plotting function documentation with "See Also" links and standardizations to the "Value" section
* create.heatmap: Renamed 'legend.cex' parameter to 'colorkey.cex'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.9 2010-08-06

MINOR UPDATES
* Updated plotting functions to have the same default font type
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.8 2010-08-05

BUG FIXES:
* create.heatmap: Fixed functionality of 'colour.alpha' parameter

MINOR UPDATES
* create.heatmap: Added example to demonstrate usage of 'colour.alpha' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.7 2010-08-04

MINOR UPDATES
* create.scatterplot.with.error: Added function to create scatterplot with error bars overlaid
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.6 2010-08-04

MINOR UPDATES
* create.barplot: Added 'yaxis.labels' parameter
* create.scatterplot: Changed panel function to allow for update() to change conditioned trellis object
* create.multiple.boxplots: Changed c() to stack() to accommodate data.frames
* create.violin.plot: Updated to match other plotting functions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.5 2010-07-29

MINOR UPDATES
* create.barplot: Added 'col' parameter to control the fill colour of bars
* create.scatterplot: Added default values for some parameters
* create.stripplot: Added default values for some parameters
* create.violinplot: Added default values for some parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.4 2010-07-26

MINOR UPDATES
* create.barplot: Renamed parameters to standardize with other plotting functions
* create.multiple.boxplots: Renamed parameters to standardize with other plotting functions
* create.heatmap: Added verbose warning when function cannot generate a figure
* create.boxplot: Fixed broken default handling of y-axis scale labels
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.3 2010-06-29

BUG FIXES
* create.heatmap: Fixed bug to accept NAs when specifying colour-ranges
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.2 2010-06-28

MINOR UPDATES
* create.barplot: Changed 'xlab' and 'ylab' parameters into 'xlab.label' and 'ylab.label' and reordered parameters
* create.boxplot: Changed 'xlabel', 'ylabel', 'xlabel.cex', and 'ylabel.cex' parameters into 'xlab.lab', 'ylab.lab', 'xlab.cex', 'ylab.cex' and reordered parameters
* create.hexbinplot: Changed 'xlabel', 'ylabel' parameters into 'xlab.label', 'ylab.label'
* create.stripplot: Changed 'xlabel', 'ylabel', 'xlabel.cex', 'ylabel.cex' into 'xlab.lab', 'ylab.lab', 'xlab.cex', 'ylab.cex' and reordered parameters
* create.violinplot: Changed 'ylabel' parameter into 'ylab.label'
* create.histogram: Adjusted example
* create.multiple.boxplots: Adjusted example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.1 2010-06-25

MINOR UPDATES
* create.scatterplot: Renamed 'xlabel', 'ylabel', 'xlabel.cex', 'ylabel.cex' parameters to 'xlab.label', 'ylab.label', 'xlab.cex', 'ylab.cex'
* create.histogram: Changed default to plot percentages instead of densities
* create.scatterplot: Adjusted example to show extra features
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.9.0 2010-06-24

MAJOR UPDATES
* create.densityplot: Added new function to plot densities

MINOR UPDATES
* create.histogram: Added many new parameters, changed order of parameters, renamed parameters for standardization
* create.boxplot: Improved example
* create.histogram: Improved example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.8.1 2010-06-24

MINOR UPDATES
* Updated parameter ordering of plotting functions to bring 'filename' parameter to the front of each function, and the height, width, and resolution parameters to the back
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.8.0 2010-06-24

MAJOR UPDATES
* Updated plotting functions to return the trellis object only if filename = NULL
* All example files are named after the method that produced them
* Standardized variable names of plotting objects to trellis.object

MINOR UPDATES
* create.multiple.boxplots: Fixed spacing/indentation to match coding standard
* create.histogram: Reordered parameters to have mandatory parameters come first
* create.stripplot: Reordered parameters to have mandatory parameters come first
* create.violinplot: Reordered parameters to have mandatory parameters come first
* create.histogram: Allowed lattice default values for breaks, ylimits, etc
* create.violinplot: Allowed lattice default values for ylimits, yat
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.7.3 2010-06-23

MINOR UPDATES
* create.heatmap: Added examples to documentation
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.7.2 2010-06-22

BUG FIXES
* create.heatmap: Fixed but in example by changing dataset
* scientific.notation.2: Fixed function to display the last digit as 0 when requested

MINOR UPDATES
* create.heatmap: Added 'colorkey.labels' parameter
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.7.1 2010-06-15

MINOR UPDATES
* create.boxplot: Renamed parameter 'ylimit' to 'ylimits' to standardize with other plotting functions
* Updates to documentation and code formatting for standardization
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.7.0 2010-06-13

MAJOR UPDATES
* Propagated graphics device changes to all plotting functions - enforced graphics type to 'cairo'
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.27 2010-06-11

MINOR UPDATES
* create.heatmap: Added 'at' and 'colorkey.labels.at' parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.26 2010-06-07

MINOR UPDATES
* create.heatmap: Enforced graphics type to 'cairo' for all platforms
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.25 2010-06-02

MINOR UPDATES
* panel.BL.bwplot: Updated documentation
* create.scatterplot: Renamed 'lwdoutline' parameter to 'axis.lwd' for consistency in parameter names
* create.scatterplot: Added parameters for fontfaces of x- and y-axis scales
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.24 2010-06-02

MINOR UPDATES
* create.scatterplot: Updated to allow alteration of more plotting parameters and to match other plotting functions
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.23 2010-06-01

MINOR UPDATES
* create.stripplot: Updated to allow for alteration of more plotting parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.22 2010-05-27

MINOR UPDATES
* create.boxplot: Updated to allow for alteration of more plotting parameters
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.21 2010-05-26

MINOR UPDATES
* create.heatmap: Changed default colour.scheme from legacy parameter-handling
* create.heatmap: Removed spurious warnings in legacy code and added error-handling for bad usage
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.20 2010-05-26

MINOR UPDATES
* create.scatterplot: Added 'compression' parameter for tiff file customization
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.19 2010-05-25

MINOR UPDATES
* create.heatmap: Allowed clustering of only one dimension at a time
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.18 2010-04-26

MINOR UPDATES
* create.scatterplot: Added 'lwd' parameter for best-fit lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.17 2010-04-24

MINOR UPDATES
* create.heatmap: Changed ordering of top covariates to match right covariates
* create.heatmap: Changed axis tick-marks to be dynamic based on number of rows/columns in the heatmap
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.16 2010-04-23

MINOR UPDATES
* create.scatterplot: Allowed for removal of axis-lines
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.15 2010-04-14

BUG FIXES
* create.boxplot: Fixed colouring issues that arose when 'box.colour' argument was passed as a vector

MINOR UPDATES
* panel.BL.bwplot: Added this function to fix colouring issues with lattice::panel.bwplot()
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.14 2010-04-12

MINOR UPDATES
* create.heatmap: Added 'fill.colour' parameter for background
* create.heatmap: Allowed specification of arbitrary colour-combinations
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.13 2010-04-11

MINOR UPDATES
* create.heatmap: Added parameter for covariate-size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.12 2010-04-09

MINOR UPDATES
* create.heatmap: Allowed for plotting of arbitrarily large heatmaps when clustering is turned off
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.11 2010-04-09

MINOR UPDATES
* create.boxplot: Removed pass-through parameterization because it can cause crashes when a fixed parameter is duplicated
* create.boxplot: Allowed separate sizing of axis labels and axis scales
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.10 2010-04-02

MINOR UPDATES
* create.boxplot: Renamed 'box.color' to 'box.colour' to match other variables
* create.boxplot: Added 'symbol.cex' parameter to adjust outlier point size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.9 2010-04-01

MINOR UPDATES
* create.barplot: Parameterized label-sizes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.8 2010-04-01

MINOR UPDATES
* create.boxplot: Added 'box.color' parameter
* create.boxplot: Updated to return a handle to plot object and added default values to input arguments
* create.multiple.boxplots: Updated to get better memory efficiency
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.7 2010-03-31

MINOR UPDATES
* create.barplot: Adjusted cex parameters
* create.histogram: Updated to allow specification of type (percent, count, or density)
* Cleaned up documentation to reduce warnings and be more explicit
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.6 2010-03-24

MINOR UPDATES
* scientific.notation.2: Updated to allow proper handling of zeros
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.5 2010-03-15

MINOR UPDATES
* create.heatmap: Updated to allow for adjustment of colour-range
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.4 2010-03-14

MINOR UPDATES
* create.heatmap: Added selective plotting of right/top/left dendrograms
* create.heatmap: Improved colour-palette selection by calculating the range of the data
* create.heatmap: Allowed specification of main figure title
* create.heatmap: Allowed separate output of a file and/or return of a trellis object
* Enforced minimum version numbers on package dependencies
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.3 2010-03-14

MINOR UPDATES
* create.heatmap: Added BlueWhiteYellow colour-scheme
* create.heatmap: Updated to not run wit an invalid colour-scheme
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.2 2010-03-05

MINOR UPDATES
* create.boxplot: Added option to plot or not plot outliers
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.6.1 2010-03-03

MINOR UPDATES
* create.hexbinplot: Added new function to create hexbin plots
* create.boxplot: Updated to control x- and y-axis tick sizes
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.5.3 2010-03-01

MINOR UPDATES
* create.heatmap: Added ability to change legend size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.5.2 2010-02-26

MINOR UPDATES
* create.boxplot: Updated so that x-axis label does not overlap with x-axis ticks
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.5.1 2010-02-26

MINOR UPDATES
* create.boxplot: Updated to be able to set label size
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.5.0 2010-02-25

MAJOR UPDATES
* create.dotmap: Added new function to create dotmaps

MINOR UPDATES
* create.scatterplot: Added examples
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.12 2010-02-24

MINOR UPDATES
* create.scatterplot: Added parameters for plot-type, point/line size, colour, and symbol
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.11 2010-02-19

MINOR UPDATES
* create.barplot: Fixed handling of clustering methods other than 'none' or 'diana'
* create.heatmap: Allowed for column-wise covariates
* create.heatmap: Allowed for any agglomerative clustering method available via hclust
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.10 2010-02-08

MINOR UPDATES
* create.boxplot: Allowed for rotation of x-axis names
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.9 2010-02-06

MINOR UPDATES
* create.stripplot: Added new function to create strip plot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.8 2010-02-03

MINOR UPDATES
* create.barplot: Added new function to create barplot
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.7 2010-02-01

MINOR UPDATES
* create.boxplot: Updated to save figure directly and added example
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.6 2010-01-29

BUG FIXES
* create.heatmap: Fixed bug in parameter-handling that introduced spurious warnings
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.5 2010-01-29

MINOR UPDATES
* create.multiple.boxplots: Modified to remove build/check warnings
* create.multiple.boxplots: Modified to ensure functionality when 'plot.names' input has less components than the 'data' input
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.4 2010-01-29

BUG FIXES
* create.multiple.boxplots: Fixed error where \usage called wrong function name and one argument was missing in \arguments

MAJOR UPDATES
* create.boxplot: Added new function to create boxplots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.3 2010-01-28

MAJOR UPDATES
* create.multiple.boxplots: Added new function to create multiple boxplots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.2 2010-01-27

MINOR UPDATES
* create.heatmap: Added ability to have clustered data without dendrograms
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.1 2010-01-27

MINOR UPDATES
* create.heatmap: Added ability to handle different clustering algorithms and not plot dendrograms
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.4.0 2010-01-27

MAJOR UPDATES
* create.histogram: Added function to create histograms
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.3.0 2010-01-26

MAJOR UPDATES
* create.scatterplot: Added function to create scatterplots
* scientific.notation.2: Added function to facilitate embedding of scientific notation inside other figures
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.2.0 2010-01-07

MAJOR UPDATES
* scientific.notation: Added function to allow for proper scientific notation in plots
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.1.0 2010-01-07

MAJOR UPDATES
* create.heatmap: Added function to create heatmaps
---------------------------------------------------------------------------------------------------
BoutrosLab.plotting.general 1.0.0 2010-01-06

MAJOR UPDATES
* Initialized package for plotting functions
* create.violin.plot: Added function to create violin plots
---------------------------------------------------------------------------------------------------


